(function($){
	mui.previewImage();
	var caseDetailVM = interfaceList.createVm("caseDetailsVM",{
		caseDetailsInfo : {}
	});
	$.plusReady(function(){
		var paramsList = interfaceList.getwebviewExtra(),
			caseId = paramsList ? paramsList["caseId"] : "",
			agreeNumber = null,
			readNumber = null;
		var tokens = interfaceList.getCache("token");
		interfaceList.getAjax("/case/detail.htm",{
			id : caseId,
			token : tokens=="" ? null : tokens
		},"POST",function(msg){
			caseDetailVM.caseDetailsInfo = JSON.parse(msg["data"]);
			readNumber = (caseDetailVM.caseDetailsInfo.readerNumber || 0)+1;
		});
		
		//收藏案例功能
		var favorateCase = document.getElementById("favorateCase");
		if(favorateCase && favorateCase!=null){
			favorateCase.addEventListener("tap",function(e){
				e.stopPropagation();
				e.preventDefault();
				//判断是否登录
				if(interfaceList.isLogin()==false){
					interfaceList.openWebview("/pages/login/login.html","login.html",{},false,false);
					return;
				};
				
				interfaceList.getAjax("/member/favorite/collect.htm",{
					token : interfaceList.getCache("token"),
					businessId : caseId,
					type : "CASE"
				},"POST",function(msg){
					interfaceList.toast("收藏成功，您可通过我的收藏查看!");
				})
			},false);
		};
		
		//点赞功能
		$(".my_bottomBtnList").off("tap","#agreeCase").on("tap","#agreeCase",function(e){
			e.stopPropagation();
			e.preventDefault();
			//判断是否登录
			if(interfaceList.isLogin()==false){
				interfaceList.openWebview("/pages/login/login.html","login.html",{},false,false);
				return;
			};
			
			var state = this.classList.contains("agree"),
				_this = this,
				agrees = parseInt(document.getElementById("agreeNumbers").innerText);
			if(state==false){
				interfaceList.getAjax("/member/agree/doAgree.htm",{
					businessId : caseId,
					token : interfaceList.getCache("token")
				},"POST",function(msg){
					if(msg["data"]=="true"){
						_this.classList.add("agree");
						document.getElementById("agreeNumbers").innerText = agrees+1;
						agreeNumber = agrees+1;
					}
				});
			}else{
				interfaceList.getAjax("/member/agree/cancelAgree.htm",{
					businessId : caseId,
					token : interfaceList.getCache("token")
				},"POST",function(msg){
					if(msg["data"]=="true"){
						_this.classList.remove("agree");
						document.getElementById("agreeNumbers").innerText = agrees-1;
						agreeNumber = agrees-1;
					}
				});
			}
		});
		
		document.getElementsByClassName("mui-action-back")[0].addEventListener("tap",function(){
			var pageLists = [COMMOM_PREVLOAD.INDEX[0],"case_list.html","home_search.html","professor_detail.html"];
			for(var i=0;i<pageLists.length;i++){
				$.fire(plus.webview.getWebviewById(pageLists[i]),"caseReadNumber",{CaseId : caseId,agreeNumber : agreeNumber,readNumber :readNumber});
			};
		},false);
	});
})(mui);
