(function($){
	//公共变量
	var USERNAME = "userName",
		USERID = "userId",
		apiurl = "http://app.myzczk.com",
		qiniuUrl = "http://qiniu.myzczk.com",
		toastOpt = {
			icon : null,
			duration : "long",
			align : "center",
			verticalAlign : "bottom"
		},
		
		interfaceList = {},
		PUSLIC_MESSAGE={
			deleteTitle : "删除提示",
			deleteDirect : "确认删除",
			deleteBatchDirect : "确认删除选中内容?",
			offlineFileList : "offlineFilesList",
			offlineDownloadFileList : "offlineDownloadFileList",
			offlineDownloadFolderList : "offlineDownloadFolderList",
			offlineFolderList : "offlineFolderList",
			cacheCase : "caseCaseList",
			cacheUserInfo : "cachUserInfo",
			cacheEntry : "cacheEntry",
			cacheLaw : "cacheLaw"
		};
	window.PUSLIC_MESSAGE = PUSLIC_MESSAGE;
	window.apiUrl = apiurl;
	window.qiniuUrl = qiniuUrl;
	
	//配置全局的缓存页面
	var COMMOM_PREVLOAD={
		INDEX : [
			"pages/template/home.html",
			"pages/server/server_detail.html",
			"pages/template/service.html",
			"pages/template/mine.html"
		],
		PREDLOAD : [
			"/pages/owner/userInfomation/my_editpromot.html",
			"/pages/server/chat.html",
			"/pages/owner/other/offline_resource.html"
		],
		ALL : [
			"pages/template/home.html",
			"pages/server/server_detail.html",
			"pages/template/service.html",
			"pages/template/mine.html",
			"/pages/owner/userInfomation/my_editpromot.html",
			"index.html"
		]
	}
	window.COMMOM_PREVLOAD=COMMOM_PREVLOAD;
	
	//判断当前网络
	interfaceList.drageWifi=function(){
		var networkState = plus.networkinfo.getCurrentType();
		if(networkState==0 || networkState==1){
			return false;
		};
		return true;
	};
	
	/*页面跳转*/
	interfaceList.openWebview=function(url,id,options,isLogin,isWifi){
		//判断当前网络设置
		if(isWifi==false){
		}else{
			var networkState = plus.networkinfo.getCurrentType();
			if(networkState==0 || networkState==1){
				interfaceList.toast("亲，网断了哦，请检查网络设置!");
				return;
			}
		}
		
		//判断是否需要登录
		if(isLogin==true && interfaceList.isLogin()==false){
			$.openWindow("/pages/login/login.html","login.html",{});
		}else{
			$.openWindow(url,id,options);
		}
	};
	interfaceList.openWebview_index=function(showMain){
		var webviewList = plus.webview.all();
		for(var i=0;i<webviewList.length;i++){
			var href = webviewList[i].getURL(),
				state = false,
				paths = interfaceList.isLogin()==true ? COMMOM_PREVLOAD.ALL[1] : COMMOM_PREVLOAD.ALL[2]; 
			for(var k=0;k<COMMOM_PREVLOAD.ALL.length;k++){
				if(href.indexOf(COMMOM_PREVLOAD.ALL[k])>=0){
					state=true;
				}
			};
			if(state==false){
				webviewList[i].close();
			}else{
				var isLogin = interfaceList.isLogin();
				if(showMain=="index" && href.indexOf("index.html")<=0 && href.indexOf(COMMOM_PREVLOAD.ALL[0])<=0){
					webviewList[i].hide();
				}else{
					webviewList[i].show();
				};
			}
			/*else if(showMain=="server"){
				if(state==true && href.indexOf("index.html")<=0 && href.indexOf(paths)<=0){
					webviewList[i].hide();
				};
			}
			if(href.indexOf("index.html")>=0){
				if(showMain && showMain=="server") {
					$.fire(webviewList[i],"bindServer",{});
				}else{
					showMain==true ? $.fire(webviewList[i],"bindingIsLogin",{}) : $.fire(webviewList[i],"loadingLogin",{});
				}
			};
			if(href.indexOf(paths)>=0 && showMain=="server"){
				plus.webview.getWebviewById(paths).show();
			}*/
		};
	};
	
	/*获取页面跳转参数*/
	interfaceList.getwebviewExtra=function(){
		var currentWebview= plus.webview.currentWebview();
		return (currentWebview.params || {});
	};
	
	/*添加缓存*/
	interfaceList.setCache = function(name,value){
		if(typeof value != "string"){
			value = JSON.stringify(value);
		};
		plus.storage.setItem(name,value);
	};
	
	/*获取缓存*/
	interfaceList.getCache=function(name,type){
		var cacheName = name;
		if(name.toLowerCase()=="token" || name=="memberId" || name=="userSig") cacheName = "windowUserInfos";
		var cacheData = plus.storage.getItem(cacheName) || "",
			data = cacheData;
		if(data=="") return data;
		if(typeof data == "string"){
			try{
				data = JSON.parse(data);
			}catch(e){
				data = data;
			}
		};
		if(name.toLowerCase()=="token" || name=="memberId" || name=="userSig"){
			switch (name){
				case "token":
					data = data["appToken"];
					break;
				case "memberId":
					data = data["memberId"];
					break;
				case "userSig":
					data = data["userSig"];
					break;
			}
		};
		return data;
	};
	
	// 获取字符串
	interfaceList.getStringForCache = function(name){
		var value = plus.storage.getItem(name);
		return value;
	};
	
	interfaceList.getStorageCache=function(name,type){
		var data = plus.storage.getItem(name) || "",
			returnData = data;
		if(!type || type == "object" || type=="array"){
			try{
				returnData = JSON.parse(data);
			}catch(e){
				returnData = type=="object" ? {} : [];
			}
		}
		
		return returnData;
	};
	
	//判断用户是否登录
	interfaceList.isLogin = function(){
		var token = interfaceList.getCache("token");
		return token ? true : false;
	};
	
	// 获取当前用户
	interfaceList.getCurretMember = function(){
		var memberInfo = interfaceList.getStringForCache("windowUserInfos");
		if(!memberInfo || memberInfo == null || memberInfo==""){
			memberInfo = {};
		}else{
			memberInfo = JSON.parse(memberInfo);
		}
		return memberInfo;
	};
	
	// 获取当前游客
	interfaceList.getCurrentVisitor = function(){
		return JSON.parse(interfaceList.getStringForCache("visitorInfo"));
	};
	
	// 联系销售客服
	interfaceList.concatSaleKF = function(){
		// 判断之前是否有分配过
		var kfId = interfaceList.getCache("salesKfId");
		if(kfId){
			// 设置聊天页面打开标识
			interfaceList.setCache("isOpenChat","true");
			// 打开聊天页面
			interfaceList.openWebview("/pages/server/chat.html");
			return;
		}
		
		var id,type;
		if(interfaceList.isLogin()){
			id = interfaceList.getCurretMember().memberId;
			type = 1;
		}else{
			var visitorInfo = interfaceList.getCurrentVisitor();
			id = visitorInfo.id; 
			type = 0;
		}
		// 随机分配客服
		interfaceList.getAjax("/kefu/assignSales.htm",{"type":type,"id":id},"get",
			function(resp){
				if(resp.status == "success"){
					interfaceList.setCache("salesKfId",resp.data);
					// 存储客服ID
					interfaceList.setCache("kfId",resp.data);
					// 设置聊天页面打开标识
					interfaceList.setCache("isOpenChat","true");
					// 打开聊天页面
					interfaceList.openWebview("/pages/server/chat.html");
				}else{
					mui.toast("系统错误,请稍后再试！")
				}
		});
	};
	
	// 联系技术客服
	interfaceList.concatTechnologyKF = function(){
		var token = interfaceList.getCurretMember().appToken;
		if(!token || token.length <= 0){
			mui.toast("缺少token参数!");
			return;
		}
		// 查询订单对应的客服
		interfaceList.getAjax("/crm/order/getOrderKeFu.htm",{"token":token},"post",
			function(resp){
				if(resp.status == "success"){
					// 存储客服ID
					interfaceList.setCache("kfId",resp.data);
					// 设置聊天页面打开标识
					interfaceList.setCache("isOpenChat","true");
					// 打开聊天页面
					interfaceList.openWebview("/pages/server/chat.html");
				}else{
					mui.toast("系统错误,请稍后再试！");
				}
		});
	};
	
	/*读取数据接口*/
	interfaceList.getAjax=function(url,params,dataType,callback,errback){
		if(!url || url==""){
			console.log("ajax url is not null..");
			return;
		};
		var apiUrl;
		if(url.indexOf("json")>0){
			apiUrl =url;
		}else{
			apiUrl =apiurl+url;
		}
		var	apidatatype = dataType || "POST";
		$.ajax(apiUrl,{
			type : apidatatype,
			data : params,
			contentType : 'application/x-www-form-urlencoded',
			headers:{'Content-Type':'application/x-www-form-urlencoded'},
			timeout : 20000,
			error : function(xhr,type,errorThrown){
	            interfaceList.toast("温馨提示：网络连接超时!");
	            errback ? errback() : "";
			},
			success : function(msg){
				if(typeof msg == "string"){
					try{
						msg = eval("("+msg+")");
					}catch(e){
						console.log("data convert error..");
					}
				};
				if(msg && msg.status=="error"){
					switch (msg.level){
						case "tip" :
							interfaceList.toast(msg.data);
							break;
					};
					errback ? errback() : "";
				}else{
					if(callback){
						callback(msg);
					}
				}
			}
		});
	};
	
	/*公共提示接口*/
	interfaceList.toast=function(content,options){
		if(options){
			options = $.extend(true, toastOpt, options);
		};
		if(plus){
			plus.nativeUI.toast(content,options);
		}else{
			console.log("不兼容plus对象方法..");
		}
	};
	
	interfaceList.confirm=function(content,title,btnList,successCallback,errorCallback){
		//左边操作按钮，右边取消按钮
		var con_content = content || "",
			con_title = title || "操作提示",
			btnList = btnList || ["删除","取消"];
		if($.os.plus){
			plus.nativeUI.confirm(con_content,function(e){
				if(e.index==0){
					successCallback ? successCallback() : "";
				}else{
					errorCallback ? errorCallback() : "";
					//失败处理事件
				}
			},con_title,btnList);
		}else{
			console.log("不兼容plus对象方法..");
		}
	};
	
	/*检查版本是否有更新*/
	interfaceList.checkAppVersion = function(callback){
		interfaceList.getAjax("/upgrade/app/check.htm",{},"POST",function(msg){
			var data = msg["data"] || {};
			callback ? callback(JSON.parse(data)) : "";
		});
	};
	
	/*创建模型*/
	interfaceList.createVm = function(id,options){
		if(!id) return;
		var opt = options || {};
		opt.$id = id;
		var vm = avalon.define(opt);
		return vm;
	};
	/*创建模型2
	 params
	 * delayLoaded:是否延迟加载
	 * loadCallback ： 加载以后的回调函数
	 * loadParams：向后台传递的参数
	 * configEntry：组建需要的参数
	 * path：后台访问数据的路径
	 * */
	interfaceList.createAjaxVM=function(id,params){
		if(!id) return;
		var defaultparams = {
				"pageResult.currentPage" : 1,
				"pageResult.pageSize" : 50
			},defaultOpt = {
				$id : id,
				totalPage : 0,
				pageCount : 0,
				currentPage : 1,
				pageSize : 10
			},newparams = mui.extend(defaultparams,!params ? {} :params.loadParams,true),
			newOpt = mui.extend(params || {} ,defaultOpt,true);
			
		var vm = avalon.define(newOpt);
		if(newOpt.delayLoaded!=undefined){
			vm.$watch("delayLoaded",function(){
				interfaceList.initPaging(newOpt,vm.loadParams,vm,params);
			});
		};
		if(newOpt.delayLoaded==false || newOpt.delayLoaded=='show'){
			interfaceList.initPaging(newOpt,newparams,vm,params);
		}
		return vm;
	};
	
	interfaceList.initPaging=function(newOpt,newparams,vm,params){
		interfaceList.getAjax(newOpt.path,newparams,"POST",function(msg){
			vm.totalPage = msg.total,vm.pageCount = parseInt(msg["allPages"]);
			var elements = vm.$element;
			elements.querySelector(".loading") ? elements.querySelector(".loading").style.display="none" : "";
			if(vm.pageCount==1 || vm.pageCount==0){
				vm.config_dataList ? vm.config_dataList.loadingState = 3 : "";
				elements.querySelector(".loadEvent") ? elements.querySelector(".loadEvent").style.display="none" : "";
				elements.querySelector(".loaded") ? elements.querySelector(".loaded").style.display="none" : "";
			}else{
				elements.querySelector(".loaded") ? elements.querySelector(".loaded").style.display="none" : "";
				elements.querySelector(".loadEvent") ? elements.querySelector(".loadEvent").style.display="block" : "";
			}
			params.searchResult ? (params.searchCallback ? params.searchCallback(msg["data"]) :"") : (params.loadCallback ? params.loadCallback(msg["data"]) : "");
		});
	}
	
	/*avalon验证封装
	 final:是否同意处理错误提示消息
	 data-required-message
	 * */
	interfaceList.validate=function(vm,callback,finals){
		vm.validate = {
			validateInBlur : false,
			validateInKeyup : false,
			validateAllInSubmit:true,
			resetInFocus : false,
			deduplicateInValidateAll : false
		}
		if(finals==true){
			vm.validate.onValidateAll=function(reason){
				if(reason.length>0){
					var errorFinalNode = vm.$element.querySelector(".valiteFinalMsg");
					if(errorFinalNode==null){
						errorFinalNode = document.createElement("span");
						errorFinalNode.classList.add("valiteFinalMsg");
						vm.$element.querySelector("form").appendChild(errorFinalNode);
					}
					errorFinalNode.innerText=reason[0].message;
				}else{
					vm.$element.querySelector(".valiteFinalMsg").innerText="";
					callback ?callback(vm) : "";
				}
			};
			return false;
		};
		vm.validate.onSuccess=function(reason){
			this.parentNode.querySelector(".validateError").innerText="";
		};
		vm.validate.onError= function(reason){
			var errorNode = this.parentNode.querySelector(".validateError");
			if(errorNode==null){
				errorNode = document.createElement("span");
				errorNode.classList.add("validateError");
				this.parentNode.appendChild(errorNode);
			}
			errorNode.innerText=reason[0].message;
		};
		vm.validate.onValidateAll=function(reason){
			if(reason.length>0){
				var nodes;
				for(var i=0;i<reason.length;i++){
					if(reason[i].element==nodes) continue;
					nodes = reason[i].element;
					var errorNode = nodes.parentNode.querySelector(".validateError");
					if(errorNode==null){
						errorNode = document.createElement("span");
						errorNode.classList.add("validateError");
						nodes.parentNode.appendChild(errorNode);
					}
					errorNode.innerText=reason[i].message;
				}
			}else{
				callback ?callback(vm) : "";
			}
		};
	};
	
	interfaceList.dragMessage=function(){
		if(interfaceList.isLogin() && interfaceList.drageWifi()){
			interfaceList.getAjax("/system/notice/chekNotice.htm",{
				token : interfaceList.getCache("token")
			},"POST",function(msg){
				var currentTarget = $(".biaozhiMessageList .unreadingMessage");
				if(currentTarget.length>0 && msg["data"]=="true"){
					currentTarget[0].style.display="block";				
				}
			});
		}
	};
	
	interfaceList.closePageLoading=function(){
		$(".pageLoadingContent")[0] ? $(".pageLoadingContent")[0].style.opacity=1 : "";
		$(".pageLoadingBar")[0] ? $(".pageLoadingBar")[0].style.display="none" : "";
	};
	
	interfaceList.downloadAppZip=function(wgtUrl){
		// 下载wgt文件
	    plus.nativeUI.showWaiting("正在下载安装包..");
	    plus.downloader.createDownload( wgtUrl, {filename:"_doc/update/"}, function(d,status){
	        if ( status == 200 ) { 
	            interfaceList.installWgt(d.filename); // 安装wgt包
	        } else {
	            interfaceList.toast("安装包下载失败!");
	        }
	        plus.nativeUI.closeWaiting();
	    }).start();
	};
	
	// 更新应用资源
	interfaceList.installWgt = function(path){
		plus.nativeUI.showWaiting("正在安装..");
	    plus.runtime.install(path,{},function(){
	        plus.nativeUI.closeWaiting();
	        plus.nativeUI.alert("应用资源更新完成！",function(){
	            plus.runtime.restart();
	        });
	    },function(e){
	        plus.nativeUI.closeWaiting();
	       interfaceList.toast("安装失败！");
	    });
	};
	
	
	window.interfaceList = interfaceList;
	
	
	//avalon自定义过滤器
	avalon.ready(function(){
		avalon.validators.account={
			message : "请输入正确格式的用户名/邮箱/手机!",
			get : function(value,filed,next){
				next(/^((13[0-9]|15[012356789]|17[678]|18[0-9]|14[57])[0-9]{8})|([a-z0-9]+([._\\-]*[a-z0-9])*@([a-z0-9]+[-a-z0-9]*[a-z0-9]+.){1,63}[a-z0-9]+)$/.test(value));
				return value;
			}
		};
		avalon.validators.password={
			message : "请输入以英文开头的8-18位长度的密码!",
			get : function(value,filed,next){
				next( /^(?!^\d+$)(?!^[a-zA-Z]+$)[0-9a-zA-Z]{8,18}$/.test(value));
				return value;
			}
		};
		avalon.validators.phone={
			message : "请输入正确格式的手机!",
			get : function(value,filed,next){
				next(/^1[3|4|5|7|8]\d{9}$/.test(value));
				return value;
			}
		};
		avalon.validators.identity={
			message : "请输入正确格式的身份证号!",
			get : function(value,filed,next){
				next(/^[1-9]\d{7}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{3}$|^[1-9]\d{5}[1-9]\d{3}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{3}([0-9]|X)$/.test(value));
				return value;
			}
		};
		avalon.validators.highestPosition={
			message : "最高职务只能由汉字组成!",
			get : function(value,filed,next){
				next(/^[\(\)\（\）\u4E00-\u9FA5]+$/.test(value));
				return value;
			}
		};
		avalon.validators.workingYears={
			message : "从业年限只能由汉字及数字组成！",
			get : function(value,filed,next){
				next(/^[\(\)\（\）0-9\u4E00-\u9FA5]+$/.test(value));
				return value;
			}
		}
	});
	
	//avalon 自定义过滤器
	avalon.filters.entryFileter=function(str){
		var value = document.getElementById("searchKeys").value ;
		var reg = new RegExp(""+value+"");
		str = str.replace(reg,'<a style="color:#ff5722;">'+value+'</a>');
		return str;
	};
	
/*	avalon.filters.imgZoomFilter=function(str){
		if(str=="" || str==null || str==undefined) return "";
		console.log(str);
		var imgList = $("img",$(str));
		alert(imgList.length)
		for(var i=0;i<imgList.length;i++){
			$("img",$(str))[i].setAttribute("data-preview-src","");
			$("img",$(str))[i].setAttribute("data-preview-group","1");
		};
		return str;
	}
	*/
	/*avalon自定义组建*/
	avalon.component("lazy-loading",{
		template : '<div class="loadComponent">'+
						'<div class="loadMore loadEvent" ms-if="@loadingState==0">加载更多</div>'+
						'<div class="loadMore loading" ms-if="@loadingState==1">正在加载...</div>'+
						'<div class="loadMore loaded" ms-if="@loadingState==2">没有更多了</div>'+
					'</div>',
		defaults : {
			loadingState : 0 ,
			onInit : function(){
				!this.currentPage ? this.currentPage = 1 : "";
				!this.pageSize ? this.pageSize = 10 : "";
				!this.loadParams ? this.loadParams={} : "";
			},
			onReady : function(){
				var el = this.$element,
					_this = this;
				el.querySelector(".loadEvent").addEventListener("tap",function(){
					var currentPage = _this.currentPage+1,
						pageSize = _this.pageSize,
						params = _this.loadParams,
						pageCount = parseInt(_this.pageCount);
					_this.loadingState = 1;
					params["pageResult.currentPage"] = currentPage,params["pageResult.pageSize"] = pageSize;
					interfaceList.getAjax(_this.path,params,_this.dataType || "POST",function(msg){
						_this.loadCallback(msg.data);
						_this.currentPage=currentPage , _this.loadingState = (currentPage>=pageCount) ? 2 : 0;
					});
				},false);
			}
		},
		soleSlot: 'content'
	});
	
	avalon.component("pageLoading",{
		template : '<div class="clearfix backWhite pageLoadingBar"><div class="loader-inner ball-pulse backWhite"><div></div><div></div><div></div></div></div>',
		defaults : {
			
		},
		soleSlot: 'content'
	});
	
	avalon.component("select_search",{
		template : '<div class="backWhite positionRe">'+
						'<span id="hiddenCheckedMenu" key="" style="display:none;"></span>'+
						'<ul class="search_sorts clearfix">'+
							'<li ms-for="(index,sorts) in @sortList" class="mui-col-xs-4 tagList">'+
								'<span ms-text="sorts.hasIcon" class="hiddenValue" style="display:none;"></span>'+
								'<span ms-text="sorts.key" class="hiddenSortsKey" style="display:none;"></span>'+
								'<a>'+
									'<span ms-text="sorts.name" ms-attr="{keys : sorts.key}"></span>'+
									'<i class="iconfont icon-xiajiantou" ms-if="sorts.hasIcon"></i>'+
								'</a>'+
								'<div class="selectContent clearfix" ms-if="sorts.childrenList">'+
									'<span ms-text="sorts.key" class="sortKey" style="display:none;"></span>'+
									'<ul class="clearfix" style="padding-bottom:60px;">'+
										'<li ms-for="(childIndex,childrens) in sorts.childrenList" class="childrenList" ms-attr="{id : childrens.id,targetId : childrens.id,key:sorts.key,initCheck : (sorts.key=="domain" && childrens.id==@initCaseCategory)}">{{childrens.name}}<span class="hiddenId" ms-text="childrens.id" style="display:none;"></span><i class="mui-icon mui-icon-checkmarkempty"></i></li>'+
									'</ul>'+
									'<div class="my_bottomBtnList clearfix" style="position:fixed;bottom:0;left:0;">'+
										'<a class="mui-col-xs-6 my_btn_gray btn_cancel_event">取 消</a>'+
										'<a class="mui-col-xs-6 my_btn_blue btn_comfirm_event">确定</a>'+
									'</div>'+
								'</div>'+
							'</li>'+
						'</ul>'+
						'<div class="selectSearchShadow"></div>'+
					'</div>',
		defaults : {
			sortList : [],
			initCaseCategory : "",
			onInit : function(e){
			},
			onReady :function(){
				var dom = this.$element;
				var _this = this;
				//初始化选中条件(只针对案例选中)
				setTimeout(function(){
					$(".childrenList[initCheck=true]",dom).each(function(){
						this.classList.add("active");
						$("#hiddenCheckedMenu",dom)[0].innerText = this.getAttribute("id");
					});
				},300);
				
				dom.querySelector(".tagList").classList.add("active");
				$(".search_sorts",dom).off("tap",".tagList").on("tap",".tagList",function(e){
					e.stopPropagation();
					e.preventDefault();
					//获取所有选中的
					var menuDom = $("#hiddenCheckedMenu",dom)[0],
						keys = menuDom.getAttribute("key"),
						checkData= menuDom.innerText || "",
						checkedList = checkData.split(",");
					//清空所有li选项
					var domLists = dom.querySelectorAll(".childrenList.active");
					for(var k=0;k<domLists.length;k++){
						domLists[k].classList.remove("active");
					};
					//添加选中
					if(checkedList.length>0){
						for(var o=0;o<checkedList.length;o++){
							if(checkedList[o]=="") break;
							var checkedDom = $('[id="'+checkedList[o]+'"]',dom)[0];
							checkedDom ? checkedDom.classList.add("active") : "";
						}
					}
					
					var hasChilren = this.querySelector(".hiddenValue").innerText,
						parent = this.parentNode.parentNode,
						content = this.querySelector(".selectContent"),
						shadow = parent.querySelector(".selectSearchShadow"),
						state = content ? content.classList.contains("show") : "";
					if(hasChilren=="false"){
						//存储请求数据
						var menuDom = $("#hiddenCheckedMenu",dom)[0]
						menuDom.setAttribute("key","hot");
						menuDom.innerText = "";
					
						dom.querySelector(".selectContent.show") ? dom.querySelector(".selectContent.show").classList.remove("show") : "";
						shadow.classList.remove("show");
						if(this.classList.contains("active")) return;
						dom.querySelector(".tagList.active").classList.remove("active");
						this.classList.add("active"),dom.parentNode.querySelector(".hiddenContents").style.display="block";
						
						for(var i=0;i<_this.sortList.length;i++){
							_this.loadParams[_this.sortList[i]["key"]] = "";
						};
						typeof _this.delayLoaded == "boolean" ? _this.delayLoaded=1 : _this.delayLoaded +=1;
						
					}else{
						dom.querySelector(".selectContent.show") ? (dom.querySelector(".selectContent.show").classList.remove("show")) : "";
						state ? (content.classList.remove("show"),shadow.classList.remove("show")) : (content.classList.add("show"),shadow.classList.add("show"));
						dom.querySelector(".tagList.active").classList.remove("active"),this.classList.add("active");
						state ? dom.parentNode.querySelector(".hiddenContents").style.display="block" : dom.parentNode.querySelector(".hiddenContents").style.display="none";
					};
					
				});
				
				$(".search_sorts",dom).off("tap",".childrenList").on("tap",".childrenList",function(e){
					e.stopPropagation();
					e.preventDefault();
					var parents = this.parentNode.parentNode.parentNode;
					if(parents.querySelector(".hiddenSortsKey").innerText=="source"){
						var currentChecked = parents.querySelectorAll(".childrenList.active");
						for(var i=0;i<currentChecked.length;i++){
							currentChecked[i].classList.remove("active");
						};
					};
					this.classList.contains("active") ? this.classList.remove("active") : this.classList.add("active");
				});
				
				$(".search_sorts",dom).off("tap",".btn_comfirm_event").on("tap",".btn_comfirm_event",function(e){
					e.stopPropagation();
					e.preventDefault();
					var $parent = this.parentNode.parentNode,
						keyword = $parent.querySelector(".sortKey").innerText,
						nodeList = $parent.querySelectorAll(".childrenList.active"),
						selectContent ="";
					//存储请求数据
					var menuDom = $("#hiddenCheckedMenu",dom)[0],
						keys = $parent.parentNode.querySelector(".hiddenSortsKey").innerText,
						data = "";
						
					//获取数据，发送请求
					for(var i=0;i<nodeList.length;i++){
						var id = nodeList[i].querySelector(".hiddenId").innerText;
						selectContent += i==0 ? id : ","+id;
					};
					menuDom.setAttribute("key",keys);
					menuDom.innerText = selectContent;
					
					$parent.classList.remove("show"),$(".selectSearchShadow",dom)[0].classList.remove("show");
					for(var i=0;i<_this.sortList.length;i++){
						_this.loadParams[_this.sortList[i]["key"]] = "";
					};
					_this.loadParams[keyword] = selectContent;
					_this.loadParams["pageResult.currentPage"] = 1;
					typeof _this.delayLoaded == "boolean" ? _this.delayLoaded=1 : _this.delayLoaded +=1;
					dom.parentNode.querySelector(".hiddenContents").style.display="block";
				});
			}
		}
	});
	
	$.plusReady(function(){
		//消息提醒biaozhiMessageList
		interfaceList.dragMessage();
	});
	
	mui.ready(function(){
		mui(".mui-slider-interval").each(function(){
			var interval = this.getAttribute("interval") || 3000;
			mui(this).slider({
				interval : interval
			});
		});
		mui("body").off("tap","jumpWebview").on("tap",".jumpWebview",function(){
			var networkState = plus.networkinfo.getCurrentType();
			if(networkState==0 || networkState==1){
				interfaceList.toast("亲，网断了哦，请检查网络设置!");
				return;
			}
			var needLogin = this.getAttribute("needLogin") || false;
			if(needLogin=="true" && interfaceList.isLogin()==false){
				$.openWindow("/pages/login/login.html","login.html",{},false);
				return;
			};
			mui.openWindow(this.getAttribute("src"),this.getAttribute("targetName"),{preload:false});
		});
		
		$(".mui-bar").off("tap",".noticeList").on("tap",".noticeList",function(e){
			e.stopPropagation();
			e.preventDefault();
			interfaceList.openWebview("/pages/home/message_list.html","message_list.html",{},true);
		});
		// 联系客服
		if(document.querySelector("#concatKeFu")){
			document.querySelector("#concatKeFu").addEventListener("click",function(){
				interfaceList.concatSaleKF();
			},false);
		};
		
		/*window.addEventListener("updateMessageList",function(e){
			var state = e.detail.state;
			alert(plus.webview.currentWebview().getURL()+"\n\n"+state);
			var currentTarget = $(".biaozhiMessageList .unreadingMessage");
			if(state=="true"){
				currentTarget[0].style.display="block";				
			}else{
				currentTarget[0].style.display="none";		
			}
		},false);*/
	});
	$.plusReady(function(){
		if(plus.navigator.isImmersedStatusbar()){// 兼容immersed状态栏模式
			var topoffset=Math.round(plus.navigator.getStatusbarHeight());
            var headers = document.getElementsByClassName('mainHeader');
            if(headers.length > 0){
                var header = headers[0];
                var height = header.offsetHeight;
                header.style.height = topoffset + height + 'px';
                header.style.paddingTop = topoffset + 'px';
                document.getElementsByClassName('mui-content')[0].style.paddingTop = 70 +'px';
            }
            headers = document.getElementsByClassName('header_bar');
            if (headers.length > 0){
                var header = headers[0];
                var height = header.offsetHeight;
                header.style.height = topoffset + height + 'px';
                header.style.paddingTop = topoffset + 'px';
                document.getElementsByClassName('mui-title')[0].style.lineHeight = topoffset + 75 +'px';
                document.getElementsByClassName('mui-content')[0].style.paddingTop = 70 +'px';
                document.getElementsByClassName('search_lists')[0].style.paddingTop='13px';
                document.getElementById("sideBar") ? document.getElementById("sideBar").style.marginTop =  topoffset + 75 +'px' : "";
            }
        }
	}); 
})(mui);

