(function($,avalon){
	if(window.location.href.indexOf("message_list")>=0){
		var vm = interfaceList.createAjaxVM("noticeCtrl",{
			noticeList : [],
			confirLoading : {
				loadingState : 0
			},
			loadParams : {
				token : ""
			},
			path : "/system/notice/list.htm",
			loadCallback : function(data){
				vm.noticeList.pushArray(data);
				interfaceList.closePageLoading();
			},
			delayLoaded : true
		});
		
		$.plusReady(function(){
			vm.loadParams.token = interfaceList.getCache("token");
			vm.delayLoaded=false;
		});
		
		$('[target="messageList"]').off("tap","li").on("tap","li",function(){
			var id = this.getAttribute("id"),
				index = this.getAttribute("index"),
				dataList = vm.noticeList;
			dataList[index] ? dataList[index]["status"]=1 : "";
			vm.noticeList = dataList;
			$.openWindow("messageDetail.html","messageDetail",{
				preload : false,
				extras : {
					params : {
						uuId : id,
						index : index
					}
				}
			});
		});
		
		window.onload=function(){
			document.getElementsByClassName("mui-action-back")[0].addEventListener("tap",function(e){
				//触发其他页面消息提示
				var messagePageList = [COMMOM_PREVLOAD.INDEX[0],COMMOM_PREVLOAD.INDEX[2],"professor_list.html","supplier_list.html","case_list.html","my_userInfo.html"];
				interfaceList.getAjax("/system/notice/chekNotice.htm",{
					token : interfaceList.getCache("token")
				},"POST",function(msg){
					var state = msg["data"] || false;
					for(var k=0;k<messagePageList.length;k++){
						$.fire(plus.webview.getWebviewById(messagePageList[k]),"updateMessageList",{state : state});
					}
				});
			},false);
		};
	}else{
		var vm = interfaceList.createVm("noticeDetailCtrl",{
			notice : {}
		});
		mui.plusReady(function(){
			var paramter = interfaceList.getwebviewExtra();
			interfaceList.getAjax("/system/notice/detail.htm",{
				token : interfaceList.getCache("token"),
				id : paramter.uuId
			},"POST",function(msg){
				vm.notice = msg.data;
			});
		})
	}
	
})(mui,avalon);
	