(function($){
	var feedBackVM = interfaceList.createVm("feedBackVM",{
		feedBackImgList : [],
		feedBackText : "",
		userName : ""
	});
	
	$.plusReady(function(){
		interfaceList.getAjax("/member/get.htm",{
			token : interfaceList.getCache("token")
		},"POST",function(msg){
			var data = JSON.parse(msg["data"]),
				name = data.name;
			feedBackVM.userName = name;
		});
		
		$(".mui-popover").off("tap","#feedBackcamera").on("tap","#feedBackcamera",function(e){
			e.stopPropagation();
			e.preventDefault();
			$("#picture").popover("toggle");
			uploadPlugin.getPictureFromCamera(null,function(path){
				feedBackVM.feedBackImgList.push(path);
				var total = feedBackVM.feedBackImgList.length;
				total >6 ? feedBackVM.feedBackImgList.splice(0,total-6) : "";
			},false);
		});
		
		$(".mui-popover").off("tap","#feedBackselectFromGallery").on("tap","#feedBackselectFromGallery",function(e){
			e.stopPropagation();
			e.preventDefault();
			$("#picture").popover("toggle");
			uploadPlugin.getPictureFromSystem(true,null,null,function(path){
				if(typeof path == "string"){
					feedBackVM.feedBackImgList.push(path);
				}else{
					for(var i=0;i<path.length;i++){
						feedBackVM.feedBackImgList.push(path[i]);
					}
				};
				var total = feedBackVM.feedBackImgList.length;
				total >6 ? feedBackVM.feedBackImgList.splice(0,total-6) : "";
			},false);
		});
		
		$(".feedLists").off("tap",".icon-delete").on("tap",".icon-delete",function(e){
			e.stopPropagation();
			e.preventDefault();
			var index = this.parentNode.getAttribute("index");
			feedBackVM.feedBackImgList.splice(index,1);
		});
		
		document.getElementById("toggleCamera").addEventListener("tap",function(e){
			e.stopPropagation();
			e.preventDefault();
			
			this.parentNode.querySelector("input").blur();
			setTimeout(function(){
				$("#picture").popover("toggle");
			},500);
		},false);
		
		document.getElementById("submitFeedBack").addEventListener("tap",function(e){
			e.stopPropagation();
			e.preventDefault();
			if(feedBackVM.feedBackText==""){
				document.getElementsByClassName("valiteFinalMsg")[0].innerText="请填写反馈内容";
				return;
			};
			if(feedBackVM.feedBackImgList.length<=0){
				sendFeedback("");
			}else{
				//上传图片
				var dom = document.getElementsByClassName("feedBackContainer")[0],
					progressDom = dom.querySelector("p");
				dom.style.display="block";
				uploadPlugin.createUploadTask(feedBackVM.feedBackImgList,function(progress){
					if(parseInt(progress)==100){
						progressDom.innerText = "正在提交表单，请稍候...";
					}else{
						progressDom.innerText = "正在上传图片:"+progress+"%";
					}
				},function(pathList,uploader){
					progressDom.innerText = "正在提交表单，请稍候...";
					if(pathList=="error"){
						document.getElementById("feedBackImgUploadResult").innerText = "文件上传失败！";
						return;
					};
					var responseText = uploader.responseText ? eval("("+uploader.responseText+")") : {};
					if(responseText.status.toUpperCase()=="error".toUpperCase()){
						document.getElementById("feedBackImgUploadResult").innerText = "文件上传失败！";
						return;
					};
					document.getElementById("feedBackImgUploadResult").innerText = "";
					
					var responseList = JSON.stringify(responseText["data"]),
						responseData = responseList.substring(1,responseList.length-1);
					sendFeedback(responseData);
				});
			}
		},false);
	});
	
	function sendFeedback(responseData){
		interfaceList.getAjax("/crm/advice/add.htm",{
			token : interfaceList.getCache("token"),
			name : feedBackVM.userName,
			content : feedBackVM.feedBackText,
			attachement : responseData
		},"POST",function(msg){
			interfaceList.openWebview("/pages/owner/userInfomation/my_editpromot.html","my_editpromot.html",{
				extras : {
					params : {
						type : "conmitFeedback",
						webviewId : "feedback.html"
					}
				}
			},true);
		});
	}
})(mui);
