(function($) {
	var vm = interfaceList.createVm("mineInfoCtrl",{
		userInfo : {},
		state : "success"
	});
	$.plusReady(function() {
		//判断是否登录
		if(interfaceList.isLogin()){
			getUserInfo();
		};
		
		document.getElementById("camera").addEventListener("tap",function(){
			$("#picture").popover("toggle");
			plus.nativeUI.showWaiting("正在修改头像,请稍后...");
			uploadPlugin.getPictureFromCamera(null,function(path,upload,responseText){
				sendAjaxForChangePortial(path,responseText);
			},true);
		},false);
		
		document.getElementById("selectFromGallery").addEventListener("tap", function() {
			$("#picture").popover("toggle");
			plus.nativeUI.showWaiting("正在修改头像,请稍后...");
			uploadPlugin.getPictureFromSystem(false,null,null,function(path,uploader,responseText){
				sendAjaxForChangePortial(path[0],responseText);
			},true);
		}, false);
	});
	
	function getUserInfo(){
		interfaceList.getAjax("/member/get.htm",{
			token : interfaceList.getCache("token")
		},"POST",function(msg){
			vm.userInfo = msg["data"] ? JSON.parse(msg["data"]) : {
				"name" : "未命名",  
	            "headerUrl" : "../../../imgs/system/defultPortail.png"
			};
			vm.state="success";
			plus.nativeUI.closeWaiting();
		},function(){
			vm.userInfo={
	            "name" : "未命名",  
	            "headerUrl" : "imgs/system/defultPortail.png"
			},
			vm.state="success";
			plus.nativeUI.closeWaiting();
		});
	};
	
	function sendAjaxForChangePortial(path,responseText){
		if(!responseText){
			interfaceList.toast("文件上传失败!");
			return;
		};
		var returnData = JSON.parse(responseText),
			data = returnData["data"];
		interfaceList.getAjax("/member/account/updateHeader.htm",{
			token : interfaceList.getCache("token"),
			attachement : JSON.stringify(data)
		},"POST",function(msg){
			getUserInfo();
			//修改主页头像
			$.fire(plus.webview.getWebviewById(COMMOM_PREVLOAD.INDEX[3]),"callbackPortial",{portial:path});
		},function(){
			interfaceList.toast("修改头像失败!");
			plus.nativeUI.closeWaiting();
		})
	};
	
	window.onload=function(){
		$(".mineOpenWebview").off("tap",".majorShow").on("tap",".majorShow",function(e){
			e.stopPropagation();
			e.preventDefault();
			var prev = this.parentNode.querySelector(".flexBox"),
				iconElement = this.querySelector(".mui-icon");
			if(prev.classList.contains("ellipsis")){
				prev.classList.remove("ellipsis"),prev.style.height = "initial";
				iconElement.classList.remove("mui-icon-arrowdown"),iconElement.classList.add("mui-icon-arrowup");
			}else{
				prev.classList.add("ellipsis"),prev.style.height = "35px";
				iconElement.classList.add("mui-icon-arrowdown"),iconElement.classList.remove("mui-icon-arrowup");
			}
		});
		
		$(".mineOpenWebview").off("tap","li").on("tap","li",function(e){
			e.stopPropagation();
			e.preventDefault();
			var src = this.getAttribute("src"),
				tarName = this.getAttribute("targetName"),
				type = this.getAttribute("type");
			if(type=="") return;
			//判断是否登录
			if(interfaceList.isLogin()){
				$.openWindow(src,tarName,{
					extras : {
						params : {
							type : type,
							data : vm.userInfo 
						}
					}
				});
			}else{
				$.openWindow("/pages/login/login.html","login.html");
			}
		});
	};
	
	/*修改用户名回调*/
	window.addEventListener("editUserNameCallback",function(e){
		var type = e.detail.type,
			data = e.detail.data;
		if(type=="editName"){
			//修改主页头像
			$.fire(plus.webview.getWebviewById(COMMOM_PREVLOAD.INDEX[3]),"callbackPortial",{userName:data});
		}
		getUserInfo();
	},false);
	
	/*修改加入回调*/
	window.addEventListener("editUserInfoCallback",function(e){
		getUserInfo();
		interfaceList.dragMessage();
	},false);
	
	window.addEventListener("updateMessageList",function(e){
		var state = e.detail.state;
		var currentTarget = $(".biaozhiMessageList .unreadingMessage");
		if(state=="true"){
			currentTarget[0].style.display="block";				
		}else{
			currentTarget[0].style.display="none";
		}
	},false);
})(mui);