(function($){
	var vm = interfaceList.createVm("offlineDetailCtrl",{
		offlineFileList : {},
		folderId : 0,
		offDetail_operate : false
	});
	var memberId =null;
	mui.init({
		gestureConfig:{
			longtap: true
		}
	});
	$.plusReady(function(){
		memberId = interfaceList.getCache("memberId");
		var paramList = interfaceList.getwebviewExtra();
		var folderId = paramList["folderId"],
			downloadFolderList = getStorageDownload(PUSLIC_MESSAGE.offlineDownloadFolderList),
			downloadFileLists = getStorageDownload(PUSLIC_MESSAGE.offlineDownloadFileList),
			downloadFileList = downloadFolderList[folderId],
			fileVmList = {};
		vm.folderId = folderId;
		if(downloadFileList){
			var fileList = downloadFileList["fileList"];
			for(var i=0;i<fileList.length;i++){
				fileVmList[fileList[i]] = downloadFileLists[fileList[i]];
			}
			vm.offlineFileList = fileVmList;
		}
	});
	
	function getStorageDownload(sessionname){
		var selfDownloadList = plus.storage.getItem(memberId) || {};
		if(typeof selfDownloadList == "string"){
			try{
				selfDownloadList = JSON.parse(selfDownloadList);
			}catch(e){
				selfDownloadList = {selfDownloadList : selfDownloadList};
			}
		};
		var downloadInstancelist = selfDownloadList[sessionname] || {};
		if(typeof downloadInstancelist == "string"){
			try{
				downloadInstancelist = JSON.parse(downloadInstancelist);
			}catch(e){
				downloadInstancelist = {downloadInstancelist : downloadInstancelist};
			}
		};
		if(sessionname=="token"){
			return selfDownloadList;
		}else{
			return downloadInstancelist;
		}
	};
	
	window.onload=function(){
		$(".mui-content").off("longtap",".offLineResourceList").on("longtap",".offLineResourceList",function(e){
			e.stopPropagation();
			e.preventDefault();
			vm.offDetail_operate=true;
		});
		
		$(".mui-content").off("tap","#offlineCancel").on("tap","#offlineCancel",function(e){
			e.stopPropagation();
			e.preventDefault();
			vm.offDetail_operate=false;
		});
		//全选
		$(".mui-content").off("tap",".offlineCheckAll").on("tap",".offlineCheckAll",function(e){
			e.stopPropagation();
			e.preventDefault();
			var state = this.getAttribute("checked")==0 ? true : false;
			this.setAttribute("checked",state==true?1:0),this.querySelector("span").innerText = state==true ? "取消全选" : "全选";
			$('.offDetailList [name="offlineResource"]').each(function(){
				this.checked = state;
			});
		});
		
		//取消反选
		$(".mui-content").off("tap",'[name="offlineResource"]').on("tap",'[name="offlineResource"]',function(e){
			var checks = $('.offDetailList [name="offlineResource"]:checked').length+(this.checked==true ? -1 : 1),
				allLength = $('.offDetailList [name="offlineResource"]').length;
			$(".offDetailList .offlineCheckAll span")[0].innerText = (checks==allLength ? "取消全选" : "全选");
		});
		//批量删除
		$(".mui-content").off("tap","#offlineDeleteResource").on("tap","#offlineDeleteResource",function(e){
			e.stopPropagation();
			e.preventDefault();
			var downloadFileLsit = getStorageDownload(PUSLIC_MESSAGE.offlineDownloadFileList),
				downloadFolderList = getStorageDownload(PUSLIC_MESSAGE.offlineDownloadFolderList),
				currentFolder = downloadFolderList[vm.folderId],
				selfDownloaList = getStorageDownload("token");
				
			interfaceList.confirm("确认删除选中内容?","删除提示",["删除","取消"],function(){
				if(currentFolder["fileList"].length>0){
					$('.offDetailList [name="offlineResource"]:checked').each(function(){
						var id = this.getAttribute("id");
						delete downloadFileLsit[id];
						avalon.Array.remove(currentFolder["fileList"],id);
						this.parentNode.parentNode.remove();
					});
				};
				selfDownloaList[PUSLIC_MESSAGE.offlineDownloadFileList] = downloadFileLsit;
				selfDownloaList[PUSLIC_MESSAGE.offlineDownloadFolderList] = downloadFolderList;
				plus.storage.setItem(memberId,JSON.stringify(selfDownloaList));
				vm.offDetail_operate=false;
			},function(){
				vm.offDetail_operate=false;
				//修改页面样式
				$(".offDetailList .offLineResourceList").each(function(){
					$.swipeoutClose(this);
				});
			});
		});
		
		//已下载资源编辑
		$(".mui-content").off("tap",'.offDetailEdit').on("tap",'.offDetailEdit',function(e){
			e.stopPropagation();
			e.preventDefault();
			var id = this.getAttribute("id"),
				name = this.getAttribute("name"),
				fileId = this.getAttribute("fileId");
			if(!id || id=="") return;
			interfaceList.openWebview("/pages/server/create_folder.html","create_folder",{
				extras : {
					params : {
						state : "editFile",
						id : id,
						fileId : fileId,
						name : name ,
						returnPage : "offline_detail.html"
					}
				}
			},true);
		});
		
		//编辑已下载资源回调
		window.addEventListener("folderCloseEvent",function(e){
			var name = e.detail.name,
				id = e.detail.id,
				downloadList = getStorageDownload(PUSLIC_MESSAGE.offlineDownloadFileList),
				currentDownload = downloadList[id] ||  {};
				
			currentDownload.name = name;
			downloadList[id] = currentDownload;
			var selfDownload = getStorageDownload("token");
			selfDownload[PUSLIC_MESSAGE.offlineDownloadFileList] = downloadList;
			plus.storage.setItem(memberId,JSON.stringify(selfDownload));
			vm.offlineFileList[id]["name"] = name;
			
			//修改页面样式
			$(".offDetailList .offLineResourceList").each(function(){
				$.swipeoutClose(this);
			});
		},false);
		
		$(".offDetailList").off("tap",".openWord").on("tap",".openWord",function(e){
			e.stopPropagation();
			e.preventDefault();
			var openSrc = this.getAttribute("openSrc");
			var newPath = plus.io.convertAbsoluteFileSystem(openSrc);
			plus.runtime.openFile(newPath);
		});
	};
})(mui);