(function($){
	if(window.location.href.indexOf("help.html")>=0){
		var helpVm = interfaceList.createAjaxVM("helpCtrl",{
			path : "/system/help/list.htm",
			configHelp : {
				loadingState:0,
				helpList : []
			},
			loadParams : {
				key : "",
				"pageResult.pageSize" : 10
			},
			loadCallback : function(data){
				helpVm.configHelp.helpList.pushArray(data);
			},
			searchCallback : function(data){
				helpVm.configHelp.helpList = data;
			},
			searchResult : true,
			delayLoaded : 'show'
		});
		
		window.onload=function(){
			document.getElementById("searchBtn").addEventListener("tap",function(e){
				e.stopPropagation();
				e.preventDefault();
				helpVm.loadParams["pageResult.currentPage"]=1;
				typeof helpVm.delayLoaded == "boolean" ? helpVm.delayLoaded=1 : helpVm.delayLoaded +=1;
			},false);
			
			$(".helper").off("tap","li").on("tap","li",function(e){
				e.stopPropagation();
				e.preventDefault();
				var id = this.getAttribute("id");
				interfaceList.openWebview("/pages/owner/other/helpDetail.html","helpDetail.html",{
					extras : {
						params : {
							id : id
						}
					}
				},false,true);
			})
		};
	}else if(window.location.href.indexOf("helpDetail.html")>=0){
		var helpDetailVm = interfaceList.createVm("helpDetailVm",{
			helpData : {}
		});
		$.plusReady(function(){
			var paramsList = interfaceList.getwebviewExtra(),
				id = paramsList["id"];
			if(!id || id==""){
				interfaceList.toast("未找到对应帮助信息!");
				return;
			}
			interfaceList.getAjax("/system/help/detail.htm",{
				id : id
			},"POST",function(msg){
				helpDetailVm.helpData = JSON.parse(msg["data"]);
			})
		})
	}
	
})(mui);
