(function($){
	var favorateVm = interfaceList.createVm("myfavorateCtrl",{
		favorateList : []
	});
	
	$.plusReady(function(){
		interfaceList.getAjax("/member/favorite/list.htm",{
			token : interfaceList.getCache("token")
		},"POST",function(msg){
			console.log(JSON.stringify(msg["data"]))
			var data = msg["data"];
			favorateVm.favorateList = data;
		});
		
		//我的收藏详情页
		$(".favorite").off("tap",".favorateDetailEvent").on("tap",".favorateDetailEvent",function(e){
			e.stopPropagation();
			e.preventDefault();
			$.swipeoutClose(this);
			var target = this.getAttribute("target"),
				businessId = this.getAttribute("businessId"),
				path = "",
				targetName = "",
				parameter ={
					params : {}
				};
			switch (target){
				case "member":
					path = "/pages/professor/professor_detail.html",targetName = "professor_detail.html" ,parameter.params = {professorId : businessId};
					break;
				case "enterprise":
					path = "/pages/supplier/supplier_detail.html",targetName = "supplier_detail.html" ,parameter.params = {supplierId : businessId};
					break;
				case "case":
					path = "/pages/case/case_detail.html",targetName = "case_detail.html" ,parameter.params = {caseId : businessId};
					break;
				case "lemma":
					path = "/pages/home/entryDetail.html",targetName = "entryDetail.html" ,parameter.params = {entryId : businessId};
					break;
			};
			interfaceList.openWebview(path,targetName,{
				extras : parameter
			},true,true);
		});
		
		//删除我的收藏
		$(".favorite").off("tap",".myFavorateDelete").on("tap",".myFavorateDelete",function(e){
			e.stopPropagation();
			e.preventDefault();
			var parent = this.parentNode.parentNode,
				id = parent.getAttribute("id");
			interfaceList.confirm("确认删除该收藏内容?","删除提示",["删除","取消"],function(){
				interfaceList.getAjax("/member/favorite/del.htm",{
					token : interfaceList.getCache("token"),
					id : id
				},"POST",function(msg){
					parent.remove();
				},function(){
					$.swipeoutClose(parent);
				});
			},function(){
				$.swipeoutClose(parent);
			});
		});
	})
})(mui);
