(function($){
	var	vm = interfaceList.createVm("templateMineCtrl",{
			isLogin :false,
			userInfo : {}
		});
	$.plusReady(function(){
		//判断是否登录
		vm.isLogin = interfaceList.isLogin();
		
		window.addEventListener("bindingIsLogin",function(e){
			vm.isLogin = interfaceList.isLogin();
			if(vm.isLogin==true) getUserInfo();
		},false);
		
		//登录退出消息提醒事件回调
		window.addEventListener("mineMessageCallback",function(e){
			if(interfaceList.isLogin()){
				interfaceList.dragMessage();
			}else{
				var currentTarget = $(".biaozhiMessageList .unreadingMessage");
				currentTarget[0] ? currentTarget[0].style.display="none" : "";				
			}
		},false);
		
		//修改用户名头像回调
		window.addEventListener("callbackPortial",function(e){
			getUserInfo();
		},false);
		
		//判断当前网络状况
		var wifiState = interfaceList.drageWifi();
		if(wifiState==true){
			//从服务器读取数据
			vm.isLogin==true ? getUserInfo() : "";
		}else{
			//从缓存读取数据
			var cacheUserInfo = plus.storage.getItem(PUSLIC_MESSAGE.cacheUserInfo) || {};
			if(typeof cacheUserInfo == "string"){
				try{
					cacheUserInfo = JSON.parse(cacheUserInfo);
				}catch(e){
					cacheUserInfo = {};
				}
			}
			vm.userInfo = cacheUserInfo;
		}
	});
	
	window.onload=function(){
		document.getElementById("toOfflineResource").addEventListener("tap",function(e){
			e.stopPropagation();
			e.preventDefault();
			if(interfaceList.isLogin()==false){
				$.openWindow("/pages/login/login.html","login.html",{});
			}else{
				plus.webview.show("offline_resource.html");
			}
		},false);
	};
	
	function getUserInfo(){
		interfaceList.getAjax("/member/get.htm",{
			token : interfaceList.getCache("token")
		},"POST",function(msg){
			var data = msg["data"];
			if(typeof data == "string"){
				data = JSON.parse(data);
			}
			vm.userInfo = data;
			
			//将数据写入缓存
			plus.storage.setItem(PUSLIC_MESSAGE.cacheUserInfo,JSON.stringify(data));
		});
	};
})(mui);
