(function($){
	var editMyUnitVM = interfaceList.createAjaxVM("editMyUnitCtrl",{
		path : "/enterprise/list.htm",
		configUnitList : {
			companyList : [],
			loadingState : 0,
			hasChecked : true,
			currentCheck : "",
			currentName : "",
			showNone : true
		},
		loadParams : {
			key : "",
			"pageResult.pageSize" : 10,
			"pageResult.currentPage" : 1,
			token : ""
		},
		searchResult : true,
		delayLoaded : false,
		loadCallback : function(data){
			editMyUnitVM.configUnitList.companyList.pushArray(data);
			interfaceList.closePageLoading();
		},
		searchCallback : function(data){
			editMyUnitVM.configUnitList.companyList=data;
			interfaceList.closePageLoading();
		},
		delayLoaded : true
	});
	
	window.onload=function(){
		document.getElementById("searchBtn").addEventListener("tap",function(e){
			e.stopPropagation();
			e.preventDefault();
			editMyUnitVM.loadParams["pageResult.currentPage"]=1;
			typeof editMyUnitVM.delayLoaded == "boolean" ? editMyUnitVM.delayLoaded=1 : editMyUnitVM.delayLoaded +=1;
		},false);
		
		document.getElementById("confirmJoinUnit").addEventListener("tap",function(e){
			e.stopPropagation();
			e.preventDefault();
			var id = editMyUnitVM.configUnitList.currentCheck;
			if(id==""){
				interfaceList.toast("请选择要加入的单位!");
				return;
			};
			interfaceList.getAjax("/enterprise/join.htm",{
				token : interfaceList.getCache("token"),
				enterpriseId : id
			},"POST",function(msg){
				interfaceList.toast("单位申请成功,请等待审核..");
				//触发我的信息修改加入的单位
				$.fire(plus.webview.getWebviewById("my_userInfo.html"),"editUserInfoCallback",{
					type : "editJoinUnit",
					data : {
						id : id,
						name : editMyUnitVM.configUnitList.currentName
					}
				});
				plus.webview.currentWebview().close();
			});
		},false);
	};
	
	$.plusReady(function(){
		editMyUnitVM.loadParams.token = interfaceList.getCache("token");
		editMyUnitVM.delayLoaded=false;
	});
})(mui);
