(function($){
	var vm = interfaceList.createAjaxVM("perfessorListCtrl",{
		///member/expert/list.htm
		path : "/member/expert/list.htm",
		configperfessorList : {
			sortList : [
				{name:"热门",key:"hot",hasIcon:false},
				{name:"领域",key:"domain",hasIcon:true,childrenList : []},
				{name:"地区",key:"area",hasIcon:true,childrenList : []}
			],
			professorList : [],
			loadingState : 0
		},
		loadParams : {
			key : "",
			domain : "",
			area : ""
		},
		searResultByKey : function(){
			typeof vm.delayLoaded == "boolean" ? vm.delayLoaded=1 : vm.delayLoaded +=1;
		},
		loadCallback :function(data){
			vm.configperfessorList.professorList.pushArray(data);
			interfaceList.closePageLoading();
		},
		searchCallback : function(data){
			vm.configperfessorList.professorList = data;
			interfaceList.closePageLoading();
		},
		searchResult : true,
		delayLoaded : true
	});
	setTimeout(function(){
		vm.delayLoaded=false;
	},300);
	
	interfaceList.getAjax("/tag/category/list.htm",{},"POST",function(data){
		vm.configperfessorList.sortList[1]["childrenList"] = data.data;
	});
	
	interfaceList.getAjax("/system/area/listProvince.htm",{},"POST",function(data){
		vm.configperfessorList.sortList[2]["childrenList"] = data.data;
	});
	
	window.onload=function(){
		document.getElementById("searchBtn").addEventListener("tap",function(e){
			e.stopPropagation();
			e.preventDefault();
			vm.loadParams["pageResult.currentPage"]=1;
			typeof vm.delayLoaded == "boolean" ? vm.delayLoaded=1 : vm.delayLoaded +=1;
		},false);
	};
	
	window.addEventListener("updateMessageList",function(e){
		var state = e.detail.state;
		var currentTarget = $(".biaozhiMessageList .unreadingMessage");
		if(state=="true"){
			currentTarget[0].style.display="block";				
		}else{
			currentTarget[0].style.display="none";
		};
	},false);
})(mui);
