(function($){
	var archivedVM = interfaceList.createVm("archivedCtrl",{
		directList : [],
		fileList :[],
		moveDirectId : "",
		moveFileId : ""
	});
	
	$.plusReady(function(){
		var paramsList = interfaceList.getwebviewExtra();
		archivedVM.moveDirectId = paramsList["archivedId"] || "";
		archivedVM.moveFileId = paramsList["id"] || "";
		//获取文件列表
		if(archivedVM.moveDirectId!=""){
			interfaceList.getAjax("/cloud/file/list.htm",{
				"dirId" : paramsList["archivedId"],
				"pageResult.pageSize" : 10000,
				"pageResult.currentPage" : 1,
				token : interfaceList.getCache("token")
			},"POST",function(msg){
				archivedVM.fileList = msg["data"];
			});
		}else{
			//获取文件夹列表//	/cloud/directory/list.htm
			interfaceList.getAjax("/cloud/directory/list.htm",{
				"pageResult.pageSize" : 10000,
				"pageResult.currentPage" : 1,
				"token" : interfaceList.getCache("token")
			},"POST",function(msg){
				archivedVM.directList = msg["data"];
			});
		}
	});
	
	window.onload=function(){
		$(".serverLines").off("tap",'[targetEvent="serverarchived"]').on("tap",'[targetEvent="serverarchived"]',function(e){
			e.stopPropagation();
			e.preventDefault();
			var archivedId = this.getAttribute("archivedId"),
				webviewId = "archived.html"+archivedId,
				webviewList = interfaceList.getCache("archivedWebviewList") || "";
			interfaceList.setCache("archivedWebviewList",(webviewList=="" ? webviewId : webviewList+","+webviewId));
			interfaceList.openWebview("/pages/server/archived.html",webviewId,{
				extras : {
					params : {
						archivedId : archivedId,
						id : archivedVM.moveFileId
					}
				}
			});
		},true);
		
		$(".mui-bar").off("tap",'[targetEvent="confirmArchived"]').on("tap",'[targetEvent="confirmArchived"]',function(e){
			e.stopPropagation();
			e.preventDefault();
			//发送请求移动文件
			interfaceList.getAjax("/cloud/file/moveFile.htm",{
				dirId : archivedVM.moveDirectId,
				id : archivedVM.moveFileId,
				token : interfaceList.getCache("token")
			},"POST",function(msg){
				//删除页面
				$.fire(plus.webview.getWebviewById("folder_content.html"),"archivedCallback");
				var webviewList = interfaceList.getCache("archivedWebviewList") || "",
					splitList = webviewList.split(",");
				if(splitList.length>0){
					for(var i=0;i<splitList.length;i++){
						splitList[i]!="" ? plus.webview.getWebviewById(splitList[i]).close() : "";
					}
				}
				interfaceList.setCache("archivedWebviewList",{});
			})
		});
		
	};
})(mui);
