(function($){
	var vm = interfaceList.createVm("server_folderCtrl",{
			state : "",
			server_text : "",
			server_index : "",
			server_subfix : ""
		}), paramsList={};
	$.plusReady(function(){
		paramsList = interfaceList.getwebviewExtra();
		vm.state = paramsList ? paramsList["state"] : "" ,vm.server_index =paramsList["index"] || null;
		//文件不能修改后缀名
		vm.server_text = vm.state=='editFile' ? paramsList["name"].substring(0,paramsList["name"].lastIndexOf(".")) : (vm.state=='edit' ? paramsList["name"] : "");
		vm.server_subfix = vm.state=='editFile' ? paramsList["name"].substring(paramsList["name"].lastIndexOf(".")) : "";
	});
	
	window.onload=function(){
		document.getElementById("operateFolder").addEventListener("tap",function(e){
			e.stopPropagation();
			e.preventDefault();
			if(vm.state=="create"){
				//调用创建文件的接口
				interfaceList.getAjax("/cloud/directory/add.htm",{
					name : vm.server_text,
					token : interfaceList.getCache("token")
				},"POST",function(msg){
					$.fire(plus.webview.getWebviewById("pages/server/server_detail.html"),"folderCloseEvent",{
						name : vm.server_text,
						id : msg["data"],
						state : "create"
					});
					plus.webview.close(plus.webview.currentWebview());
				});
			}else if(vm.state=="edit"){
				//调用保存的接口
				interfaceList.getAjax("/cloud/directory/save.htm",{
					name : vm.server_text,
					token : interfaceList.getCache("token"),
					id : paramsList["fileId"] || paramsList["id"]
				},"POST",function(msg){
					var returnPage = paramsList["returnPage"] || COMMOM_PREVLOAD.INDEX[1];
					$.fire(plus.webview.getWebviewById(returnPage),"folderCloseEvent",{
						name : vm.server_text,
						state : "edit",
						index : vm.server_index,
						id : paramsList["id"],
						type : paramsList["type"]
					});
					plus.webview.close(plus.webview.currentWebview());
				});
			}else if(vm.state=="editFile"){
				//调用修改文件保存的接口	/cloud/file/save.htm
				interfaceList.getAjax("/cloud/file/save.htm",{
					name : vm.server_text,
					id : paramsList["fileId"] || paramsList["id"],
					token : interfaceList.getCache("token")
				},"POST",function(msg){
					var returnPage = paramsList["returnPage"] || "folder_content.html";
					$.fire(plus.webview.getWebviewById(returnPage),"folderCloseEvent",{
						name : vm.server_text+vm.server_subfix,
						state : "editFile",
						index : vm.server_index,
						id : paramsList["id"],
						extend : vm.server_subfix
					});
					plus.webview.close(plus.webview.currentWebview());
				});
			}
		},false);
	};
})(mui);
