(function($){
	//初始化基本信息VM
	var baseInfoVm = interfaceList.createVm("suppliDetailBaseCtrl",{
		baseInfo : {},
		aptitudeList : [],
		honorList : [] ,
		type : "",
		businessID : "",
		configSupplierEvent : {
			eventList : []
		}
	});
	
	//初始化案例信息VM
	var caseListVM = interfaceList.createAjaxVM("supplierCaseCtrl",{
		path : "/case/listByBusinessId.htm",
		configSupplierCase : {
			caseList : [],
			loadingState : 0
		},
		loadParams : {
			businessID : 1
		},
		loadCallback : function(data){
			caseListVM.configSupplierCase.caseList.pushArray(data);
		},
		delayLoaded : true
	});
	
	mui.plusReady(function(){
		var paramsList = interfaceList.getwebviewExtra(),
			supplierId = "";
		if(paramsList["type"]=="editMyUnit"){
			supplierId = paramsList["data"]["enterpriseId"];
			baseInfoVm.type = "editMyUnit";
		}else{
			supplierId = paramsList ? paramsList["supplierId"] : "";
		};
		baseInfoVm.businessID = supplierId;
		//绑定案例信息
		caseListVM.loadParams.businessID=supplierId,caseListVM.delayLoaded=false;
		
		interfaceList.getAjax("/enterprise/unit/detail.htm",{
			token : interfaceList.getCache("token"),
			id : supplierId
		},"POST",function(msg){
			baseInfoVm.baseInfo = JSON.parse(msg["data"]);
		});
		
		//初始化资质证书内容	/enterprise/qualified/listByEnterpriseId
		interfaceList.getAjax("/enterprise/qualified/listByEnterpriseId.htm",{
			token : interfaceList.getCache("token"),
			enterpriseId : supplierId
		},"POST",function(msg){
			baseInfoVm.aptitudeList = msg["data"];
		});
		
		//初始化荣誉证书内容/enterprise/certificate/listByEnterpriseId.htm
		interfaceList.getAjax("/enterprise/certificate/listByEnterpriseId.htm",{
			token : interfaceList.getCache("token"),
			enterpriseId : supplierId
		},"POST",function(msg){
			baseInfoVm.honorList = msg["data"];
		});
		
		//初始化大事件VM
		interfaceList.getAjax("/enterprise/event/listByEnterpriseId.htm",{
			enterpriseId : baseInfoVm.businessID,
			token : interfaceList.getCache("token")
		},"POST",function(msg){
			baseInfoVm.configSupplierEvent.eventList = msg["data"];
		})
		
		//退出单位
		$(".my_bottomBtnList").off("tap","#quiteUnit").on("tap","#quiteUnit",function(e){
			e.stopPropagation();
			e.preventDefault();
			interfaceList.confirm("确认退出该单位?","退出提示",["确定","取消"],function(){
				interfaceList.getAjax("/enterprise/quit.htm",{
					token : interfaceList.getCache("token")
				},"POST",function(msg){
					interfaceList.toast("您已退出该单位!");
					//触发我的信息修改退出的单位
					$.fire(plus.webview.getWebviewById("my_userInfo.html"),"editUserInfoCallback",{
						type : "quiteUnit",
						data : {}
					});
					plus.webview.currentWebview().close();
				});
			});
		});
		
		//收藏专家功能
		var favorateSupplier = document.getElementById("favorateSupplier");
		if(favorateSupplier && favorateSupplier!=null){
			favorateSupplier.addEventListener("tap",function(e){
				e.stopPropagation();
				e.preventDefault();
				
				interfaceList.getAjax("/member/favorite/collect.htm",{
					token : interfaceList.getCache("token"),
					businessId : supplierId,
					type : "ENTERPRISE"
				},"POST",function(msg){
					interfaceList.toast("收藏成功，您可通过我的收藏查看!");
				})
			},false);
		}
	});
	
	
})(mui);
