(function($){
	//默认初始化案例内容
	var caseListVM = interfaceList.createAjaxVM("caseListCtrl",{
		// 	/case/list.htm
		path : "/case/list.htm",
		configCaseList : {
			sortList : [
				{name:"热门",key:"hot",hasIcon:false},
				{name:"领域",key:"domain",hasIcon:true,childrenList : []},
				{name:"来源",key:"source",hasIcon:true,childrenList : []}
			],
			caseList : [],
			loadingState : 0,
			caseState : true,
			initCaseCategory : ""
		},
		loadParams : {
			key : "",
			domain : "",
			source : "",
			categoryId : ""
		},
		loadCallback :function(data){
			caseListVM.loadParams.categoryId = "";
			//页面加载效果
			caseListVM.configCaseList.caseList.pushArray(data);
			interfaceList.closePageLoading();
		},
		searchCallback : function(data){
			caseListVM.loadParams.categoryId = "";
			caseListVM.configCaseList.caseList = data;
			interfaceList.closePageLoading();
		},
		searchResult : true,
		delayLoaded : true
	});
	
	mui.plusReady(function(){
		var paramsList = interfaceList.getwebviewExtra(),
			categoryId = paramsList ? (paramsList["categoryId"] ? paramsList["categoryId"] : "") : "";
		caseListVM.loadParams.categoryId = categoryId;
		setTimeout(function(){
			caseListVM.delayLoaded=false;
		},300);
		
		interfaceList.getAjax("/case/category/list.htm",{},"GET",function(data){
			caseListVM.configCaseList.sortList[1]["childrenList"] = data.data;
			caseListVM.configCaseList.initCaseCategory = categoryId;
		});
		interfaceList.getAjax("../../json/areaList.json",{},"GET",function(data){
			caseListVM.configCaseList.sortList[2]["childrenList"] = data;
		});
	});
	window.onload=function(){
		document.getElementById("searchBtn").addEventListener("tap",function(e){
			e.stopPropagation();
			e.preventDefault();
			caseListVM.loadParams["pageResult.currentPage"] = 1;
			typeof caseListVM.delayLoaded == "boolean" ? caseListVM.delayLoaded=1 : caseListVM.delayLoaded +=1;
		},false);
	};
	
	//案例浏览次数修改回调
	window.addEventListener("caseReadNumber",function(e){
		var id = e.detail.CaseId,
			agreeNumber = e.detail.agreeNumber,
			readerNumber = e.detail.readNumber;
		if(readerNumber!=null){
			$('[readerNumber="'+id+'"]')[0].innerText = readerNumber;
		};
		if(agreeNumber!=null){
			$('[agreeNumber="'+id+'"]')[0].innerText = agreeNumber;
		};
	},false);
	
	window.addEventListener("updateMessageList",function(e){
		var state = e.detail.state;
		var currentTarget = $(".biaozhiMessageList .unreadingMessage");
		if(state=="true"){
			currentTarget[0].style.display="block";				
		}else{
			currentTarget[0].style.display="none";
		}
	},false);
})(mui);
