(function($){
	var vm = interfaceList.createVm("entryDetailCtrl",{
		entrys : {}
	});
	
	$.plusReady(function(){
		var paramsList = interfaceList.getwebviewExtra(),
			entryId = paramsList["entryId"] || "";
			
		//判断网络是否存在
		if(interfaceList.drageWifi()){
			interfaceList.getAjax("/cms/lemma/detail.htm",{
				id : entryId,
				token : interfaceList.getCache("token")
			},"POST",function(msg){
				var data = msg["data"] || "{}";
				vm.entrys = JSON.parse(data);
				loadEvent();
			});
		}else{
			vm.entrys = paramsList["entryInstance"];
			loadEvent();
		};
		
		function loadEvent(){
			//加载图片放大
		    setTimeout(function(){
		    	$(".contents img").each(function(){
		    		this.setAttribute("data-preview-src","");
		    		this.setAttribute("data-preview-group",1);
		    	});
		    	$.previewImage();
		    },500);
		};
		
		//收藏词条功能
		var favorateEntry = document.getElementById("favorateEntry");
		if(favorateEntry && favorateEntry!=null){
			favorateEntry.addEventListener("tap",function(e){
				e.stopPropagation();
				e.preventDefault();
				if(interfaceList.drageWifi()==false){
					interfaceList.toast("亲，网断了哦，请检查网络设置!");
					return;
				};
				if(interfaceList.isLogin()==false){
					interfaceList.openWebview("/pages/login/login.html","login.html",{},false,false);
					return;
				};
				
				interfaceList.getAjax("/member/favorite/collect.htm",{
					token : interfaceList.getCache("token"),
					businessId : entryId,
					type : "LEMMA"
				},"POST",function(msg){
					interfaceList.toast("收藏成功，您可通过我的收藏查看!");
				})
			},false);
		}
	});
})(mui);
