var selToId;
mui.plusReady(function(){
	selToId = interfaceList.getStringForCache("kfId");// 当前选中的发送人ID
});
var selSendSession = null;// 当前选中的Session
var sessionType = webim.SESSION_TYPE.C2C;// 会话类型
var getPrePageC2CHistroyMsgInfoMap={};//保留下一次拉取好友历史消息的信息
var reqMsgCount = 5;//每次请求的历史消息(c2c获取群)条数
var isLogOn=false;//是否开启sdk在控制台打印日志
var emotionFlag = false; // 是否开启过表情
var maxNameLen=5;//我的好友或群组列表中名称显示最大长度

// IM默认登录信息
var defaultLoginInfo = {
	"sdkAppID" : "1400015375",
	"accountType":"7726",
	"identifier":function(){
		// 可以使用访客ID 、会员ID作为登录的标识，其中会员ID优先级高
		var identifier = "";
		var memberId = interfaceList.getCurretMember().memberId;
		if(memberId && memberId.length > 0){
			identifier = memberId;
		}else{
			identifier = interfaceList.getCurrentVisitor().id;
		}
		return identifier;
	},
	"identifierNick":function(){
		// 可以使用访客昵称 、会员昵称作为登录的姓名，其中会员昵称优先级高
		var identifierNick = null;
		var memberName = interfaceList.getCurretMember().memberName;
		if(memberName && memberName.length > 0){
			identifierNick = memberName;
		}else{
			memberName = interfaceList.getCurrentVisitor().name;
		}
		return memberName;
	},
	"userSig":function(){
		var userSig = null;
		var tempUserSig = interfaceList.getCurretMember().userSig;
		if(tempUserSig && tempUserSig.length > 0){
			userSig = tempUserSig;
		}else{
			userSig = interfaceList.getCurrentVisitor().userSig;
		}
		return userSig;
	}
};

// IM默认配置
var defaultOptions = {'isLogOn': isLogOn};

// IM默认事件回调函数
var defautListeners = {
	// 用于监听用户连接 状态变化的函数
	"onConnNotify":function(resp){
		plus.nativeUI.closeWaiting();
		 switch (resp.ErrorCode) {
		 	case  webim.CONNECTION_STATUS.ON:
		 		console.log("连接成功!");
		 	break;
		 	case webim.CONNECTION_STATUS.OFF:
		 		mui.toast('网络连接异常，无法接收到消息,请尝试切换网络!');
		 	break;
		 	default:
		 		mui.toast("网络错误,请尝试重启应用!");
		 	break;
		 }
	},
	// 用于 IE9(含)以下浏 览器中 jsonp 回调 函数,移动端可不 填，pc 端必填 
	"jsonpCallback":null,
	// 监听新消息函数
	"onMsgNotify":function(){},
	// 监听（多终端同步） 群系统消息事件，必填
	"onGroupSystemNotifys":function(){},
	// 监听群资料变化事 件，选填 
	"onGroupInfoChangeNotify":function(){}
};
