var vm = interfaceList.createVm("indexVM",{
	showServer : false,
	isShowBadge:false
});
(function($){
	var pageItems = [];
	var pageWebviewArray = [];
	var mainWebview;
	var currentWebview;

	$.plusReady(function(){
		console.log("long"+interfaceList.getCache("token"));
		//获取该用户是否购买服务
		if(interfaceList.isLogin()==true){
			getUserHasServer();
		}
		
		// 清除app消息数字
		plus.runtime.setBadgeNumber(0);
		
		//vm.isLogin = interfaceList.isLogin();
		pageItems = window.COMMOM_PREVLOAD.INDEX;
		mainWebview = plus.webview.currentWebview();
		initPlusWebviews();
		initEvent();
		getVisitedId();
		
		/**
		 * 触发条件
		 * 1、IOS应用在线收到消息
		 * 2、Android应用收到的数据格式不符合触发
		 */
		plus.push.addEventListener("receive",function(msg){
			//alert("receive收到消息!："+JSON.stringify(msg));
		},false);
		
		/**
		 * 触发条件
		 * 1、IOS应用离线，并且用户点击通知栏
		 * 2、Android应用(不区分是否离线)点击系统通知栏
		 */
		plus.push.addEventListener("click",function(msg){
			var json = msg.payload;
			if(plus.os.name == "Android"){
				json = JSON.parse(msg.payload);
			}
			if(json.type == "im"){
				// 收到客服消息
				interfaceList.openWebview("/pages/server/chat.html");
			}
		},false);
		
		// 应用从后台切换到前台
		document.addEventListener("resume",function(){
			var currentWebView = plus.webview.currentWebview();
			// 如果聊天页面没有被打开，则重新登录IM
			var isOpenChat = interfaceList.getStringForCache("isOpenChat");
			
			if(isOpenChat != "true"){
				console.log("应用从前台切换到后台.");
				// 重新登录
				$.fire(plus.webview.getLaunchWebview(),"login");
			}
		},false);
		
		//预加载离线页面
		if(interfaceList.isLogin()==true){
			plus.webview.create("/pages/owner/other/offline_resource.html","offline_resource.html",{});
		};
		
		//判断是否有网络
		if(interfaceList.drageWifi()==true){
			//计算登录次数
			conculateLogin();
		};
		//绑定登录注册后跳转的首页
		window.addEventListener("loginCallback",function(e){
			var orinal = e.detail.orginal;
			if(!orinal){
				//预加载离线资源
				if(!plus.webview.getWebviewById("offline_resource.html")){
					plus.webview.create("/pages/owner/other/offline_resource.html","offline_resource.html",{});
				};
				getUserHasServer();
			};
			if(!e.detail.editPassword){
				$(".mui-tab-item.mui-active")[0].classList.remove("mui-active");
				$(".mui-tab-item.home")[0].classList.add("mui-active");
				currentWebview = pageWebviewArray[0];
			};
			
			//修改首页消息提示
			$.fire(plus.webview.getWebviewById(COMMOM_PREVLOAD.INDEX[0]),"homeMessageCallback",{});
			//修改我的消息提示
			$.fire(plus.webview.getWebviewById(COMMOM_PREVLOAD.INDEX[3]),"mineMessageCallback",{});
			//修改服务页面消息提示
			$.fire(plus.webview.getWebviewById(COMMOM_PREVLOAD.INDEX[2]),"serverMessageCallback",{});
		},false);
		
		//跳转服务页面
		window.addEventListener("redirextToServer",redirextToServer,false);
		
		//重新绑定是否登录信息
		window.addEventListener("loadingLogin",function(){
			vm.isLogin = interfaceList.isLogin();
		},false);
		
	    // 清除未读消息标记
		window.addEventListener("clearUnReadMsgCount",function(){
			console.log("清空=======》");
			document.querySelector("#unreadCount").innerHTML = "0";
			vm.isShowBadge = false;
		});
		
		//监听网络状态
		document.addEventListener( "netchange", function(){
			var wifiState = plus.networkinfo.getCurrentType();
			
			//切换首页是否显示离线缓存
			$.fire(plus.webview.getWebviewById(COMMOM_PREVLOAD.INDEX[0]),"netWorkChange",{wifiState : wifiState==0 || wifiState==1 ? false : 1});
			//切换下载资源
			$.fire(plus.webview.getWebviewById("offline_resource.html"),"netWorkChanged",{wifiState : wifiState});
			//切换到服务页面显示服务信息
			if(vm.showServer==true){
				$.fire(plus.webview.getWebviewById(COMMOM_PREVLOAD.INDEX[1]),"netWorkChanged",{wifiState : wifiState});
			}else{
				$.fire(plus.webview.getWebviewById(COMMOM_PREVLOAD.INDEX[2]),"netWorkChanged",{wifiState : wifiState});
			}
			
			//监听获取访客
			if(wifiState!=0 && wifiState!=1){
				getVisitedId();
				//login();
			};
		},false);
		
		// 3DTouch启动
		if(plus.runtime.launcher == "shortcut"){
			var cmd = JSON.parse(plus.runtime.arguments);
			var type=cmd&&cmd.type;
			switch(type){
			    case 'search':
			        // 用户点击了搜索
			        interfaceList.openWebview("/pages/home/home_search.html",{},false,false);
			    break;
			    case 'servicePackage':
			        // 用户点击了服务包
			        redirextToServer();
			    break;
			    default:
			    break;
			}
		}
	});
	
	// 跳转服务包页面
	function redirextToServer(){
		$(".mui-tab-item.mui-active")[0].classList.remove("mui-active");
		$(".mui-tab-item.server")[0].classList.add("mui-active");
		pageWebviewArray[0].hide();
		currentWebview = vm.showServer ? pageWebviewArray[1] : pageWebviewArray[2];
		currentWebview.show();
	}
	
	function getUserHasServer(){
		//预加载登陆后的服务详情页
		interfaceList.getAjax("/crm/order/hasServerByMember.htm",{
			token : interfaceList.getCache("token")
		},"POST",function(msg){
			//重新绑定数据
			vm.showServer = msg["data"]=="true" ? true : false;
			if(msg["data"]=="true"){
				pageWebviewArray[1] = $.preload({
					id : COMMOM_PREVLOAD.INDEX[1],
					url : COMMOM_PREVLOAD.INDEX[1],
					styles : {
						top : "0px",
						bottom : "62px",
						left : "0px",
						background : "red"
					},
					waiting : {
						autoShow : false
					}
				});
				pageWebviewArray[1].hide();
				mainWebview.append(pageWebviewArray[1]);
			};
			
			//预加载离线资源
			if(!plus.webview.getWebviewById("offline_resource.html")){
				plus.webview.create("/pages/owner/other/offline_resource.html","offline_resource.html",{});
			}
		});
	};
	
	function conculateLogin(){
		if(interfaceList.isLogin()){
			interfaceList.getAjax("/loginByToken.htm",{
				token : interfaceList.getCache("token")
			},"POST",function(msg){
				if(msg["data"]=="false"){
					interfaceList.setCache("windowUserInfos","");
					vm.isLogin = interfaceList.isLogin();
					$.fire(plus.webview.getWebviewById(COMMOM_PREVLOAD.INDEX[3]),"bindingIsLogin",{});
				}
			},function(){
				interfaceList.setCache("windowUserInfos","");
				vm.isLogin = interfaceList.isLogin();
				$.fire(plus.webview.getWebviewById(COMMOM_PREVLOAD.INDEX[3]),"bindingIsLogin",{});
			});
		};
	}
	
	//获取访客ID
	function getVisitedId(){
		if(!interfaceList.drageWifi()){
			// 暂无网络
			return false;
		}
		var info = interfaceList.getCurrentVisitor();
		if(info != null){
			// 已经生成过访客，直接登录IM
			login();
		}else{
			var clientId = plus.push.getClientInfo().clientid;
			interfaceList.getAjax("/crm/visitor/add.htm",{
				clientId : clientId
			},"POST",function(msg){
				var data = msg["data"] || {};
				interfaceList.setCache("visitorInfo",JSON.stringify(data));
				// 登录IM
				login();
			});
		}
	};
	
	function initPlusWebviews(){
		var isLogin = interfaceList.isLogin();
		for(var i=0;i<pageItems.length;i++){
			if(pageItems[i].indexOf("pages/server/server_detail.html")>=0) continue;
			pageWebviewArray[i] = $.preload({
				id : pageItems[i],
				url : pageItems[i],
				styles : {
					top : "0px",
					bottom : "62px",
					left : "0px",
					background : "red"
				},
				waiting : {
					autoShow : false
				}
			});
			pageWebviewArray[i].hide();
			mainWebview.append(pageWebviewArray[i]);
		}
		pageWebviewArray[0].show();
		currentWebview = pageWebviewArray[0];
	};
	
	function initEvent(){
		$(".mui-bar-tab").on("tap",".mui-tab-item",function(e){
			var href = this.getAttribute("href");
			if(currentWebview.getURL().indexOf(href)>=0){
				return;
			};
			for(var i=0;i<pageItems.length;i++){
				if(pageWebviewArray[i]==null){continue;}
				if(pageItems[i]==href){
					currentWebview = pageWebviewArray[i];
					pageWebviewArray[i].show();
				}
			};
		});
	};
})(mui);
