(function($){
	var vm = interfaceList.createVm("bindEmailCtrl",{
		state : "bingMobile",
		original : "login",
		address : "",
		codeSystem : "",
		code : "",
		imgCode : "",
		imgCodeKey : "",
		imgCodeSystem : ""
	});
	
	//绑定邮箱手机表单验证
	interfaceList.validate(vm,function(target){
		if(vm.code==""){
			document.getElementsByClassName("valiteFinalMsg")[0].innerText="请输入验证码！";
			return;
		};
		if(vm.code!=vm.codeSystem){
			document.getElementsByClassName("valiteFinalMsg")[0].innerText="验证码错误！";
			return;
		};
		var oauthData = interfaceList.getCache("oauthData");
		console.log(JSON.stringify(oauthData));
		var paramsList = {
			path : "/joinBindMobile.htm",
			params : {
				mobile : vm.address,
				code : vm.codeSystem,
				memberJoinLogin: JSON.stringify(oauthData)
			}
		}
		console.log(paramsList.params.mobile);
		interfaceList.getAjax(paramsList.path,paramsList.params,"POST",function(msg){
			// 是否已经登录
			interfaceList.setCache("windowUserInfos",msg["data"]);
			//触发首页绑定事件
			$.fire(plus.webview.getLaunchWebview(),"loginCallback",{});
			//绑定我的页面数据改变
			$.fire(plus.webview.getWebviewById(COMMOM_PREVLOAD.INDEX[3]),"bindingIsLogin",{});
			//绑定服务登录后页面改变
			$.fire(plus.webview.getWebviewById(COMMOM_PREVLOAD.INDEX[1]),"initLoginServer",{});
			plus.nativeUI.closeWaiting();
			//跳转到首页
			interfaceList.openWebview_index("index");
		});
	},true);
	
	$.plusReady(function(){
		var paramsList = interfaceList.getwebviewExtra();
		if(paramsList["type"]){
			vm.state = paramsList["type"] , vm.original = "userCenter";
		}
	});
	
	window.onload=function(){
		
		//获取验证码
		$(".mui-content").off("tap",".getVerificationCode").on("tap",".getVerificationCode",function(e){
			e.stopPropagation();
			e.preventDefault();
			var _this = this;
			if(vm.address==""){
				document.getElementsByClassName("valiteFinalMsg")[0].innerText="请填写手机号码！";
				return;
			};
			var path = '/sendCodeToRegister.htm';
			interfaceList.getAjax(path,{
				mobile : vm.address
			},"POST",function(msg){
				console.log(JSON.stringify(msg))
				vm.codeSystem=msg["data"];
				var num = 60;
				_this.classList.remove("getVerificationCode");
				var intervals = setInterval(function(){
					num--;
					_this.querySelector("a").innerText="重新发送"+num;
					if(num==0){
						clearInterval(intervals);
						_this.querySelector("a").innerText="获取验证码";
						_this.classList.add("getVerificationCode");
					}
				},1000);
			});
		});
	};
})(mui);
