(function($,avalon){
	var vm = interfaceList.createVm("loginCtrl",{
		account : "",
		password : ""
	});
	
	interfaceList.validate(vm,function(target){
		plus.nativeUI.showWaiting("正在登录,请稍后...");
		var visitorInfo =interfaceList.getCurrentVisitor();
		interfaceList.getAjax("/login.htm",{
			account : target.account,
			password : target.password,
			visitorId : visitorInfo.id
		},"POST",function(msg){
			// 是否已经登录
			interfaceList.setCache("windowUserInfos",msg["data"]);
			//触发首页绑定事件
			$.fire(plus.webview.getLaunchWebview(),"loginCallback",{});
			//绑定我的页面数据改变
			$.fire(plus.webview.getWebviewById(COMMOM_PREVLOAD.INDEX[3]),"bindingIsLogin",{});
			//绑定服务登录后页面改变
			$.fire(plus.webview.getWebviewById(COMMOM_PREVLOAD.INDEX[1]),"initLoginServer",{});
			//绑定服务页面数据改变
			$.fire(plus.webview.getWebviewById(COMMOM_PREVLOAD.INDEX[2]),"bindingIsLogin",{});
			//重新登录IM
			$.fire(plus.webview.getLaunchWebview(),"login",{});
			plus.nativeUI.closeWaiting();
			
			//跳转到首页
			interfaceList.openWebview_index("index");
		},function(){
			plus.nativeUI.closeWaiting();
		});
	},true);
	
	$.plusReady(function(){
		var paramsList = interfaceList.getwebviewExtra();
		vm.account = paramsList["account"] || "";
		var promotWebview = plus.webview.getWebviewById("my_editpromot.html");
		if(promotWebview){
			setTimeout(function(){
				promotWebview ? promotWebview.close() : "";
			},500);
		};
		
		//关闭提示页面
		window.addEventListener("registerCallback",function(e){
			vm.account = e.detail.account;
			plus.webview.getWebviewById("my_editpromot.html").close();
		},false);
	})
})(mui,avalon);
