(function($){
	mui.init({
		gestureConfig:{
			longtap: true
		}
	});
	document.getElementById("offlineCancel").addEventListener("tap", offlineCancelFun);
	document.getElementById("offlineCancel2").addEventListener("tap", offlineCancelFun);
	function offlineCancelFun(){
		vm.deleteState=false,vm.deleteDownloadedState=false;
	}
	//全选
	document.getElementsByClassName('offlineCheckAll')[0].addEventListener("tap", offlineCheckAllFun);
	document.getElementsByClassName('offlineCheckAll')[1].addEventListener("tap", offlineCheckAllFun);
	function offlineCheckAllFun(){
		var state = this.getAttribute("checked")==0 ? true : false,
			type = this.getAttribute("offlineTarget") ? ".downloadedResourceList" : ".offlineDownloading";
		this.setAttribute("checked",state==true?1:0),this.querySelector("span").innerText = state==true ? "取消全选" : "全选";
		$(type+' [name="offlineResource"]').each(function(){
			this.checked = state;
		});
	}
	
	document.getElementById("offlineDeleteResource").addEventListener("tap", offlineDeleteResourceFun);
	document.getElementById("offlineDeleteResource2").addEventListener("tap", offlineDeleteResourceFun);
	function offlineDeleteResourceFun(){
		//批量删除
		var _this = this;
		interfaceList.confirm("确认删除选中文件?","操作提示",["确认","取消"],function(){
			var type = _this.getAttribute("offlineTarget") ? ".downloadedResourceList" : ".offlineDownloading";
			if(type==".offlineDownloading"){
				$(type+' [name="offlineResource"]:checked').each(function(){
					var parent = this.parentNode.parentNode,
						id = parent.getAttribute("id"),
						index = parent.getAttribute("index");
					if(vm.downloadInstanceList[id]){
						vm.downloadInstanceList[id].abort();
					}
					vm.offLineResourceList[index]["state"]="finished";
				});
			}else{
				var offlineDownloadFileList = getStorageDownload(PUSLIC_MESSAGE.offlineDownloadFileList) || {},
					offlineDownloadFolderList = getStorageDownload(PUSLIC_MESSAGE.offlineDownloadFolderList) || {},
					selfDownloadList = getStorageDownload("token");
				$(type+' [name="offlineResource"]:checked').each(function(){
					var type = this.getAttribute("targetType"),
						id = this.getAttribute("id");
					type=="file" ? delete offlineDownloadFileList[id] : delete offlineDownloadFolderList[id];
				});
				vm.downloadFileList = offlineDownloadFileList,vm.downloadFoldList = offlineDownloadFolderList;
				selfDownloadList[PUSLIC_MESSAGE.offlineDownloadFileList] = offlineDownloadFileList,selfDownloadList[PUSLIC_MESSAGE.offlineDownloadFolderList] = offlineDownloadFolderList;
				plus.storage.setItem(memberId,JSON.stringify(selfDownloadList));
			}
			vm.deleteState=false,vm.deleteDownloadedState=false;
		});
	}
	var vm = interfaceList.createVm("offlineReourceVM",{
		offLineResourceList : [],
		offlineFailResourceList : [],
		downloadFileList : {},
		downloadFoldList : {},
		currentDownload : {},
		downloadInstanceList : {},
		deleteState:false,
		deleteDownloadedState : false,
		entryDownloadList : false,
		lawDownloadList : false
	});
	//读取本地文件
	var fileEntry = null;
	//解压文件路径
	var deCompress = null;
	var memberId = null;
	var token = null;
	
	window.onload=function(){
		$(".mui-bar").off("tap",".mui-back-action").on("tap",".mui-back-action",function(e){
			e.stopPropagation();
			e.preventDefault();
			vm.deleteState = false;
			vm.deleteDownloadedState=false;
			plus.webview.currentWebview().hide();
		});
		
		//绑定下载暂定，取消等事件
		$(".offlines").off("tap",".offlineMenus").on("tap",".offlineMenus",function(e){
			e.stopPropagation();
			e.preventDefault();
			
			//判断是否是当前下载该资源
			var state = this.querySelector(".stateContainer").getAttribute("status"),
				_this = this.parentNode,
				loadTarget = this.querySelector(".loadingprogress"),
				id = _this.getAttribute("id"),
				index = _this.getAttribute("index");
			if(state=="loading" || state=="pause" || state=="resume"){
				if(!loadTarget.getAttribute("status") || loadTarget.getAttribute("status")=="stop"){
					loadTarget.setAttribute("status","download"),vm.offLineResourceList[index]["state"]="pause";
					vm.downloadInstanceList[id].pause();
				}else{
					loadTarget.setAttribute("status","stop"),vm.offLineResourceList[index]["state"]="resume";
					vm.currentDownload = vm.offLineResourceList[index];
					vm.downloadInstanceList[id].resume();
				}
			}else{
				//其他下载对象暂停
				var currentDownload = _this.parentNode.querySelector("[state='loading']");
				if(currentDownload!=null){
					var	download_index = currentDownload.getAttribute("index"),
						downloadId = currentDownload.getAttribute("id");
					vm.offLineResourceList[download_index]["state"]="pause",vm.downloadInstanceList[downloadId] ? vm.downloadInstanceList[downloadId].pause() : "";
				}
				
				vm.offLineResourceList[index]["state"]="loading";
				vm.currentDownload = vm.offLineResourceList[index];
				startDownload(index);
			}
		});
		
		//长按删除事件
		$(".offlines").off("longtap",".offLineResourceList").on("longtap",".offLineResourceList",function(e){
			e.stopPropagation();
			e.preventDefault();
			vm.deleteState=true,vm.deleteDownloadedState=false;
			$('.offlineDownloading [name="offlineResource"]:checked').each(function(){
				this.checked = false;
			});
			$(".offlineDownloading .quanxuan")[0].innerText="全选";
		});
		$("#downloaded").off("longtap",".offLineResourceList").on("longtap",".offLineResourceList",function(e){
			e.stopPropagation();
			e.preventDefault();
			vm.deleteState=false,vm.deleteDownloadedState=true;
			$('.downloadedResourceList [name="offlineResource"]').each(function(){
				this.checked = false;
			});
			$(".downloadedResourceList .quanxuan")[0].innerText="全选";
		});
		
		//全选
		$(".mui-content").off("tap",".offlineCheckAll").on("tap",".offlineCheckAll",function(e){
			e.stopPropagation();
			e.preventDefault();
			var state = this.getAttribute("checked")==0 ? true : false,
				type = this.getAttribute("offlineTarget") ? ".downloadedResourceList" : ".offlineDownloading";
			this.setAttribute("checked",state==true?1:0),this.querySelector("span").innerText = state==true ? "取消全选" : "全选";
			$(type+' [name="offlineResource"]').each(function(){
				this.checked = state;
			});
		});
		
		//取消反选
		$(".mui-content").off("tap",'[name="offlineResource"]').on("tap",'[name="offlineResource"]',function(e){
			var type = this.getAttribute("offlineTarget") ? ".downloadedResourceList" : ".offlineDownloading";
			if(type==".downloadedResourceList"){
				var checks = $(type+' [name="offlineResource"]:checked').length+(this.checked==true ? -1 : 1),
					allLength = $(type+' [name="offlineResource"]').length;
				$(type+" .offlineCheckAll span")[0].innerText = (checks==allLength ? "取消全选" : "全选");
			}else{
				var checks = ($(type+' [name="offlineResource"]:checked').length)+(this.checked==true ? -1 : 1);
				$(type+" .offlineCheckAll span")[0].innerText = (checks==vm.offLineResourceList.length ? "取消全选" : "全选");
			}
		});
		
		$(".mui-content").off("tap","#offlineCancel").on("tap","#offlineCancel",function(e){
			e.stopPropagation();
			e.preventDefault();
			vm.deleteState=false,vm.deleteDownloadedState=false;
		});
		//批量删除
		$(".mui-content").off("tap","#offlineDeleteResource").on("tap","#offlineDeleteResource",function(e){
			e.stopPropagation();
			e.preventDefault();
			var _this = this;
			interfaceList.confirm("确认删除选中文件?","操作提示",["确认","取消"],function(){
				var type = _this.getAttribute("offlineTarget") ? ".downloadedResourceList" : ".offlineDownloading";
				if(type==".offlineDownloading"){
					$(type+' [name="offlineResource"]:checked').each(function(){
						var parent = this.parentNode.parentNode,
							id = parent.getAttribute("id"),
							index = parent.getAttribute("index");
						if(vm.downloadInstanceList[id]){
							vm.downloadInstanceList[id].abort();
						}
						vm.offLineResourceList[index]["state"]="finished";
					});
				}else{
					var offlineDownloadFileList = getStorageDownload(PUSLIC_MESSAGE.offlineDownloadFileList) || {},
						offlineDownloadFolderList = getStorageDownload(PUSLIC_MESSAGE.offlineDownloadFolderList) || {},
						selfDownloadList = getStorageDownload("token");
					$(type+' [name="offlineResource"]:checked').each(function(){
						var type = this.getAttribute("targetType"),
							id = this.getAttribute("id");
						type=="file" ? delete offlineDownloadFileList[id] : delete offlineDownloadFolderList[id];
					});
					vm.downloadFileList = offlineDownloadFileList,vm.downloadFoldList = offlineDownloadFolderList;
					selfDownloadList[PUSLIC_MESSAGE.offlineDownloadFileList] = offlineDownloadFileList,selfDownloadList[PUSLIC_MESSAGE.offlineDownloadFolderList] = offlineDownloadFolderList;
					plus.storage.setItem(memberId,JSON.stringify(selfDownloadList));
				}
				vm.deleteState=false,vm.deleteDownloadedState=false;
			});
		});
		
		//已下载资源编辑
		$(".downloadedResourceList").off("tap",'.offlineDownloadedEdit').on("tap",'.offlineDownloadedEdit',function(e){
			e.stopPropagation();
			e.preventDefault();
			var id = this.getAttribute("id"),
				type = this.getAttribute("type"),
				name = this.getAttribute("name"),
				fileId = this.getAttribute("fileId");
			if(!id || id=="") return;
			var state = type=="file" ? "editFile" : "edit";
			interfaceList.openWebview("/pages/server/create_folder.html","create_folder",{
				extras : {
					params : {
						state : state,
						id : id,
						fileId : fileId,
						name : name ,
						type : type,
						returnPage : "offline_resource.html"
					}
				}
			},true);
		});
		
		//编辑已下载资源回调
		window.addEventListener("folderCloseEvent",function(e){
			var name = e.detail.name,
				id = e.detail.id,
				type = e.detail.type;
			var downloadList;
			if(type=="folder"){
				downloadList = getStorageDownload(PUSLIC_MESSAGE.offlineDownloadFolderList);
				$(".downloadedFolderList li").each(function(){
					$.swipeoutClose(this);
				});
			}else{
				downloadList = getStorageDownload(PUSLIC_MESSAGE.offlineDownloadFileList);
				$(".downloadedFileList li").each(function(){
					$.swipeoutClose(this);
				});
			}
			var currentDownload = downloadList[id] ||  {};
			currentDownload.name = name;
			downloadList[id] = currentDownload;
			
			var selfdownloadList = getStorageDownload("token");
			selfdownloadList[type=="folder" ? PUSLIC_MESSAGE.offlineDownloadFolderList : PUSLIC_MESSAGE.offlineDownloadFileList] = downloadList;
			plus.storage.setItem(memberId,JSON.stringify(selfdownloadList));
			type=="folder" ? vm.downloadFoldList = downloadList : vm.downloadFileList = downloadList;
		},false);
		
		$(".downloadedResourceList").off("tap",'[offlineEvent="downloadedFolder"]').on("tap",'[offlineEvent="downloadedFolder"]',function(e){
			e.stopPropagation();
			e.preventDefault();
			var id = this.getAttribute("id");
			interfaceList.openWebview("/pages/owner/other/offline_detail.html","offline_detail.html",{
				extras : {
					params : {
						folderId : id
					}
				}
			},true,false);
		});
		
		$("#downloaded").off("tap",".openWord").on("tap",".openWord",function(e){
			e.stopPropagation();
			var openSrc = this.getAttribute("openSrc");
			var newPath = plus.io.convertAbsoluteFileSystem(openSrc);
			plus.runtime.openFile(newPath);
		});
		
		//词条法律法规下载功能
		$(".offlineResource").off("tap",".entryDownloas").on("tap",".entryDownloas",function(e){
			e.stopPropagation();
			e.preventDefault();
			if(this.classList.contains("disabled")) return;
			if(interfaceList.drageWifi()==false) {
				interfaceList.toast("亲，网络异常，请检查您的网络！");
				return;
			};
			var type = this.getAttribute("type");
			$.fire(plus.webview.currentWebview(),"startDownload",{
				downloadList : [
					{
						id : type,
						name : type=="entryList" ? "词条" : "法律规范",
						state : "waiting",
						original : type,
						type : type
					}
				]
			});
			type=="entryList" ? vm.entryDownloadList=true : vm.lawDownloadList=true;
			interfaceList.toast("请到离线页面查看下载进度..");
		});
		
		//词条法律法规删除功能
		$(".offlineResource").off('tap','.entryDelelte').on("tap",'.entryDelelte',function(e){
			e.stopPropagation();
			e.preventDefault();
			var parent = this.parentNode.parentNode,
				_this = this;
			interfaceList.confirm("确认删除选中文件？","删除提示",["确认","取消"],function(){
				var type = _this.getAttribute("type"),
					selfdownloaded = getStorageDownload("token") || {};
				delete selfdownloaded[type];					
				plus.storage.setItem(memberId,JSON.stringify(selfdownloaded));
				
				//改变记录
				type=="entryList" ? vm.entryDownloadList=false : vm.lawDownloadList=false;
			},function(){
				$.swipeoutClose(parent);
			});
		});
	}	

	$.plusReady(function(e){
		memberId = interfaceList.getCache("memberId");
		
		//页面初始化绑定已下载内容
		vm.downloadFileList = getStorageDownload(PUSLIC_MESSAGE.offlineDownloadFileList);
		vm.downloadFoldList = getStorageDownload(PUSLIC_MESSAGE.offlineDownloadFolderList);
		
		window.addEventListener("startDownload",function(e){
			var waitingList = e.detail.downloadList;
			waitingList = typeof waitingList =="string" ? [waitingList] : waitingList;
			vm.offLineResourceList.pushArray(waitingList);
			
			if(vm.currentDownload.id==undefined){
				vm.currentDownload = vm.offLineResourceList[0];
				vm.offLineResourceList[0]["state"]="loading";
				startDownload(0);
			}
		},false);
		
		var selfDownloaded = getStorageDownload(PUSLIC_MESSAGE.offlineDownloadFileList),
			downloadEntryList = getStorageDownload("entryList") || [],
			downloadLawList = getStorageDownload("lawList") || [];
		//判断词条是否下载
		if(downloadEntryList.length>0){
			vm.entryDownloadList = "downloaded";
			//检查词条是否有更新
			if(interfaceList.drageWifi()!=false){
				interfaceList.getAjax("/cms/lemma/check.htm",{
					token : interfaceList.getCache("token")
				},"POST",function(msg){
					if(msg["data"]=="true"){
						vm.entryDownloadList = "update";
					}
				});
			};
		};
		
		//检查法律法规是否又更新
		if(downloadLawList.length>0){
			vm.lawDownloadList = "downloaded";
			if(interfaceList.drageWifi()!=false){
				interfaceList.getAjax("/cms/lemma/check.htm",{
					token : interfaceList.getCache("token")
				},"POST",function(msg){
					if(msg["data"]=="true"){
						vm.lawDownloadList = "update";
					}
				});
			};
		};
	});
	
	//开始下载任务
	function startDownload(index){
		var obj = vm.currentDownload;
		uploadPlugin.downloadFromServer(obj,function(progress,extras){
			var target = $(".offlines [state='loading'] .loadingprogress")[0];
			target ? target.style.width = progress+"%" : "";
		},function(downloder,extras,entry,status){
			if(status!=200){
				//将该内容添加到失败列表并开始下一个下载
				var failInstance = vm.offLineResourceList[extras.index];
				failInstance["state"] = "downloadfail";
				vm.offlineFailResourceList.push(failInstance);
				vm.offLineResourceList.splice(extras.index,1);
				
				//开始下一个下载
				downloadNext();
				return;
			};
			//解压文件内容
			compressZip(downloder.filename,extras,"_downloads/download",entry);
		},{
			index : index,
			target : obj
		},function(download){
			vm.downloadInstanceList[obj.id] = download;
		});
	};
	
	function compressZip(compressPath,extras,decompressPath,entry){
		plus.zip.decompress(compressPath,decompressPath,function(){
			var currentTarget = vm.offLineResourceList[extras.index];
			//操作本地文件下载清单
			currentTarget.original ? operateZhidingDirect(currentTarget,entry,extras) : operateOfflineList(currentTarget,entry);
			//删除已经下载过的
			vm.offLineResourceList.splice(extras.index,1);
			//删除压缩文件
			deleteZip(compressPath);
		},function(){
			//将失败内容添加到失败列表
			var currentTarget = vm.offLineResourceList[extras.index];
			currentTarget["state"] = "compressError";
			vm.offlineFailResourceList.push(currentTarget);
			vm.offLineResourceList.splice(extras.index);
			
			//下载下一个
			downloadNext();
		});
	};
	
	function downloadNext(){
		//下载下一个文件
		var nextDom = vm.offLineResourceList[0];
		if(nextDom){
			vm.currentDownload = nextDom;
			vm.offLineResourceList[0]["state"] = "loading";
			startDownload(0);
			
		}else{
			vm.currentDownload = {};
		}
	}
	
	function deleteZip(dirName){
		plus.io.resolveLocalFileSystemURL(dirName,function(zipEntry){
			zipEntry.remove(function(){
			})
		},function(){
			toast("网络异常，请检查您的网络!");
		});
	}
	
	function entryInDownloadFile(entry,callback,errorCallback){
		entry.getParent(function(parentEntry){
			parentEntry.getDirectory("decompress",{
				create : true
			},function(directEntry){
				deCompress = directEntry;
				callback ? callback() : "";
			},function(){
				errorCallback ? errorCallback():"";
			});
		},function(){
			toast("网络异常，请检查您的网络!");
		});
	};
	
	function getStorageDownload(sessionname){
		var selfDownloadList = plus.storage.getItem(memberId) || {};
		if(typeof selfDownloadList == "string"){
			try{
				selfDownloadList = JSON.parse(selfDownloadList);
			}catch(e){
				selfDownloadList = {selfDownloadList : selfDownloadList};
			}
		};
		var downloadInstancelist = selfDownloadList[sessionname] || {};
		if(typeof downloadInstancelist == "string"){
			try{
				downloadInstancelist = JSON.parse(downloadInstancelist);
			}catch(e){
				downloadInstancelist = {downloadInstancelist : downloadInstancelist};
			}
		};
		if(sessionname=="token"){
			return selfDownloadList;
		}else{
			return downloadInstancelist;
		}
	};
	
	//操作制定文件
	function operateZhidingDirect(target,entry,extras){
		//判断是否下载(已经下载则删除内容)target.original=="entryList"
		var selfDownload = getStorageDownload("token");
		//读取下载文件内容
		if(target.original=="entryList"){
			interfaceList.getAjax("/cms/lemma/listAll.htm",{
				token : interfaceList.getCache("token")
			},"POST",function(msg){
				var entryList = msg ? JSON.stringify(msg["data"]) : "";
				bindDirectCache(selfDownload,target.original,entryList,extras.index);
			},function(){
				interfaceList.toast("数据异常，请重新下载!");
				vm.entryDownloadList = false;
				vm.offLineResourceList.splice(extras.index,1);
			});
		}else if(target.original=="lawList"){
			interfaceList.getAjax("/cms/legislation/listAll.htm",{
				token : interfaceList.getCache("token")
			},"POST",function(msg){
				var lawList = msg ? JSON.stringify(msg["data"]) : "";
				bindDirectCache(selfDownload,target.original,lawList,extras.index);
			},function(){
				interfaceList.toast("数据异常，请重新下载!");
				vm.lawDownloadList = false;
				vm.offLineResourceList.splice(extras.index,1);
			});
		};
	};
	
	function bindDirectCache(selfDownload,original,dataList,index){
		selfDownload[original] = dataList;
		plus.storage.setItem(memberId,JSON.stringify(selfDownload));
		original=="entryList" ? vm.entryDownloadList = "downloaded" : vm.lawDownloadList = "downloaded";
		
		//删除offLineResourceList元素
		vm.offLineResourceList.splice(index,1);
		downloadNext();
		
		setTimeout(function(){
			//改变已下载状态
			$(".entryResoucrList .mui-table-view-cell").each(function(){
				$.swipeoutClose(this);
			});
		},100);
	};
	
	function operateOfflineList(target,direEntry){
		//判断该资源是否已经下载(已下载的资源删除)
		var selfDownloadList = getStorageDownload("token"),
			offlineDownloadFileList = selfDownloadList["offlineDownloadFileList"] || {},
			offlineDownloadFolderList = selfDownloadList["offlineDownloadFolderList"] || {},
			fullpath = direEntry.fullPath;
		if(!target) return;
			
		if(target.type=="file"){
			delete offlineDownloadFileList[target.id];
		}else if(target.type=="folder"){
			var folderTargets = offlineDownloadFolderList[target.id],
				folderFileList = folderTargets && folderTargets["fileList"] || [];
			//删除文件夹文件信息
			for(var i=0;i<folderFileList.length;i++){
				delete offlineDownloadFileList[folderFileList[i]];
			};
			//删除文件夹信息
			delete offlineDownloadFolderList[target.id];
		};
		//保存对应storage信息
		if(target.type=="file"){
			target.fullpath = fullpath+"/"+target.id+target.genre;
			offlineDownloadFileList[target.id] = target;
			selfDownloadList[PUSLIC_MESSAGE.offlineDownloadFileList] = offlineDownloadFileList;
			plus.storage.setItem(memberId,JSON.stringify(selfDownloadList));
			//动态更新页面数据
			vm.downloadFileList = offlineDownloadFileList;
		}else if(target.type=="folder"){
			//获取文件夹下面文件信息
			interfaceList.getAjax("/cloud/file/list.htm",{
				token : interfaceList.getCache("token"),
				dirId : target.id
			},"POST",function(msg){
				var data = msg["data"] || [],
					fileList = [];
				for(var u=0;u<data.length;u++){
					var fileInstance = data[u],
						uuId = target.id+"_"+fileInstance.id;
					fileInstance.genre = fileInstance.extend,fileInstance.name = fileInstance.fileName,fileInstance.type="folder";
					fileInstance.fullpath = fullpath+"/"+uuId+fileInstance.genre;
					offlineDownloadFileList[uuId] = fileInstance;
					fileList.push(uuId);
				};
				//保存文件夹信息
				target["fileList"] = fileList;
				offlineDownloadFolderList[target.id] = target;
				
				selfDownloadList[PUSLIC_MESSAGE.offlineDownloadFileList] = offlineDownloadFileList;
				selfDownloadList[PUSLIC_MESSAGE.offlineDownloadFolderList] = offlineDownloadFolderList;
				plus.storage.setItem(memberId,JSON.stringify(selfDownloadList));
				//动态更新页面数据
				vm.downloadFoldList = offlineDownloadFolderList;
			});
		};
	};
	
	//监听网络变化
	window.addEventListener("netWorkChanged",function(e){
		var networkState = e.detail.wifiState;
		var currentId = vm.currentDownload.id || "";
		if(currentId=="") return;
		if(networkState==0 || networkState==1){
			interfaceList.toast("亲，网络异常，请检查您的网络！");
			vm.downloadInstanceList[currentId] ? vm.downloadInstanceList[currentId].pause() : ""; 
			return;
		}else if(networkState==4 || networkState==5 || networkState==6){
			interfaceList.toast("当前网络切换到移动网络，已暂停下载!");
			vm.downloadInstanceList[currentId] ? vm.downloadInstanceList[currentId].pause() : ""; 
			return;
		}
	},false);
})(mui);
