(function($){
	var authenticationRealNameVm = interfaceList.createVm("authenticationRealNameCtrl",{
		realNameData : {
			token : "",
			mobile : "",
			verificationCode : "",
			name : "",
			identityNo : "",
			attachement : "",
			attachements : "",
			mobileCode : "",
			attachementPath : [] 
		},
		professorData : {
			duty : "",
			workingYears : "",
			gradeLevel : "",
			attachement : "",
			attachements : "",
			attachementPath : []
		},
		state : ""
	});
	
	//实名认证表单验证
	interfaceList.validate(authenticationRealNameVm,function(target){
		if(authenticationRealNameVm.state=="authenticationRealName"){
			submitRealName();
		}else if(authenticationRealNameVm.state=="authenticationprofessor"){
			submitProfessor();
		}
	},true);
	
	function submitRealName(){
		//先上传图片
		uploadPlugin.uploadImgList(authenticationRealNameVm.realNameData.attachementPath,null,function(responseData,dom){
			authenticationRealNameVm.realNameData.attachement = responseData;
			authenticationRealNameVm.realNameData.token = interfaceList.getCache("token");
			interfaceList.getAjax("/member/realName.htm",authenticationRealNameVm.realNameData,"POST",function(msg){
				//触发我的信息修改实名认证
				$.fire(plus.webview.getWebviewById("my_userInfo.html"),"editUserInfoCallback",{
					type : "authenticaRealname",
					data : {}
				});
				
				//跳转到返回页面
				interfaceList.openWebview("/pages/owner/userInfomation/my_editpromot.html","my_editpromot.html",{
					extras : {
						params : {
							type : "authenticationprofessor",
							webviewId : "my_RealName"
						}
					}
				},false);
			},function(){
				dom ? dom.style.display="none" : "";
			});
		});
	};
	
	function submitProfessor(){
		if(authenticationRealNameVm.professorData.attachementPath && authenticationRealNameVm.professorData.attachementPath.length>0){
			//先上传图片
			uploadPlugin.uploadImgList(authenticationRealNameVm.professorData.attachementPath,null,function(responseData,dom){
				authenticationRealNameVm.professorData.attachement = responseData;
				sendAjaxToProfesssor(dom);
			});
		}else{
			sendAjaxToProfesssor();
		};
	};
	
	function sendAjaxToProfesssor(dom){
		authenticationRealNameVm.professorData.token = interfaceList.getCache("token");
		interfaceList.getAjax("/member/expert/certification.htm",authenticationRealNameVm.professorData,"POST",function(msg){
			//触发我的信息修改实名认证
			$.fire(plus.webview.getWebviewById("my_userInfo.html"),"editUserInfoCallback",{
				type : "authenticationprofessor",
				data : {}
			});
			
			//触发我的信息修改实名认证
			interfaceList.openWebview("/pages/owner/userInfomation/my_editpromot.html","my_editpromot.html",{
				extras : {
					params : {
						type : "authenticationprofessor",
						webviewId : "my_RealName"
					}
				}
			},false);
		},function(){
			dom ? dom.style.display="none" : "";
		});
	}
	
	$.plusReady(function(){
		var paramList = interfaceList.getwebviewExtra();
		authenticationRealNameVm.state = paramList["type"];
	});
	
	window.onload=function(){
		$(".mui-content").off("tap",".cameraEvent").on("tap",".cameraEvent",function(){
			$(".mui-content input").each(function(){
				this.blur();
			});
			setTimeout(function(){
				$("#picture").popover("toggle");
			},500);
		});
		
		
		$(".mui-content").off("tap",".getVerificationCode").on("tap",".getVerificationCode",function(e){
			e.stopPropagation();
			e.preventDefault();
		});
		
		//从相册中选择
		$(".mui-popover").off("tap","#selectFromGallery").on("tap",'#selectFromGallery',function(e){
			e.stopPropagation();
			e.preventDefault();
			$("#picture").popover("toggle");
			if(authenticationRealNameVm.state=="authenticationRealName"){
				if(authenticationRealNameVm.realNameData.attachementPath.length>=2){
					interfaceList.toast("最多上传2张图片");
					return;
				}
			};
			uploadPlugin.getPictureFromSystem(true,null,null,function(path){
				var pathList = typeof path == "string" ? [path] : path;
				if(authenticationRealNameVm.state=="authenticationRealName"){
					var length = authenticationRealNameVm.realNameData.attachementPath.length,
						realNameList = authenticationRealNameVm.realNameData.attachementPath;
					for(var i=1;i<=pathList.length;i++){
						if(length+i>2 || pathList[i-1]==null) continue;
						realNameList.push(pathList[i-1]);
					};
					authenticationRealNameVm.realNameData.attachementPath = realNameList
					authenticationRealNameVm.realNameData.attachements =realNameList.join(",") ;
				}else if(authenticationRealNameVm.state=="authenticationprofessor"){
					var professorList = authenticationRealNameVm.professorData.attachementPath;
					professorList.pushArray(pathList);
					authenticationRealNameVm.professorData.attachementPath = professorList;
					authenticationRealNameVm.professorData.attachements = professorList.join(",");
				}
			},false);
		});
		
		
		//拍照
		$(".mui-popover").off("tap","#camera").on("tap",'#camera',function(e){
			e.stopPropagation();
			e.preventDefault();
			$("#picture").popover("toggle");
			if(authenticationRealNameVm.state=="authenticationRealName"){
				if(authenticationRealNameVm.realNameData.attachementPath.length>=2){
					interfaceList.toast("最多上传2张图片");
					return;
				}
			}
			uploadPlugin.getPictureFromCamera(null,function(path){
				if(authenticationRealNameVm.state=="authenticationRealName"){
					var pathList = authenticationRealNameVm.realNameData.attachementPath;
					pathList.push(path);
					authenticationRealNameVm.realNameData.attachementPath = pathList
					authenticationRealNameVm.realNameData.attachements =pathList.join(",") ;
				}else if(authenticationRealNameVm.state=="authenticationprofessor"){
					var professorList = authenticationRealNameVm.professorData.attachementPath;
					professorList.push(path);
					authenticationRealNameVm.professorData.attachementPath = professorList;
					authenticationRealNameVm.professorData.attachements = professorList.join(",");
				}
			},false);
		});
		
		//删除选择的图片
		$(".mui-content").off("tap",".icon-delete").on('tap',".icon-delete",function(e){
			e.stopPropagation();
			e.preventDefault();
			var parent = this.parentNode,
				index = parent.getAttribute("index"),
				type = parent.getAttribute("type");
			if(type=="RealNameDelete"){
				var pathList = authenticationRealNameVm.realNameData.attachementPath;
				pathList.splice(index,1);
				authenticationRealNameVm.realNameData.attachementPath = pathList
				authenticationRealNameVm.realNameData.attachements =pathList.join(",") ;
			}else if(type=="professorDelete"){
				var professorList = authenticationRealNameVm.professorData.attachementPath;
				professorList.splice(index,1);
				authenticationRealNameVm.professorData.attachementPath = professorList;
				authenticationRealNameVm.professorData.attachements = professorList.join(",");
			}
		});
		
		//获取验证码
		$(".mui-content").off("tap",".getVerificationCode").on("tap",".getVerificationCode",function(e){
			e.stopPropagation();
			e.preventDefault();
			var _this = this;
			var mobile;
			if(authenticationRealNameVm.state=="authenticationRealName"){
				mobile = authenticationRealNameVm.realNameData.mobile;
				if(!/^1[3|4|5|7|8]\d{9}$/.test(mobile)){
					interfaceList.toast("请输入正确格式的手机号!");
					return;
				}
			}
			interfaceList.getAjax("/member/sendCodeToRealName.htm",{
				mobile : mobile
			},"POST",function(msg){
				authenticationRealNameVm.realNameData.mobileCode = msg["data"];
				var num = 60;
				_this.classList.remove("getVerificationCode");
				var intervals = setInterval(function(){
					num--;
					_this.querySelector("a").innerText="重新发送"+num;
					if(num==0){
						clearInterval(intervals);
						_this.querySelector("a").innerText="获取验证码";
						_this.classList.add("getVerificationCode");
					}
				},1000);
			})
		});
	}
})(mui);
