(function($){
	var vm = interfaceList.createVm("bindEmailCtrl",{
		state : "bingMobile",
		original : "login",
		address : "",
		codeSystem : "",
		code : "",
		imgCode : "",
		imgCodeKey : "",
		imgCodeSystem : ""
	});
	
	//获取图形验证码
	getCodeImg();
	
	//绑定邮箱手机表单验证
	interfaceList.validate(vm,function(target){
		if(vm.code==""){
			document.getElementsByClassName("valiteFinalMsg")[0].innerText="请输入验证码！";
			return;
		};
		if(vm.code!=vm.codeSystem){
			document.getElementsByClassName("valiteFinalMsg")[0].innerText="验证码错误！";
			return;
		};
		if(vm.original=="login"){
			var paramsList = {
				path : vm.state=="bingMobile" ? "/forgot/findPwdByMobile.htm" : "/forgot/findPwdByEmail.htm",
				params : {
					email : {
						email : vm.address,
						code : vm.codeSystem
					},
					mobile:{
						mobile : vm.address,
						code : vm.codeSystem
					}
				}
			}
			interfaceList.getAjax(paramsList.path,vm.state=="bingMobile"?paramsList.params.mobile:paramsList.params.email,"POST",function(msg){
				//跳转到信息提示页面
				interfaceList.openWebview("/pages/login/forgetConfirm.html","forgetConfirm.html",{
					extras : {
						params : {
							state : "login",
							memberId : msg["data"]["memberId"],
							certificateCode : msg["data"]["certificateCode"]
						}
					}
				},false);
			});
		}else{
			var paramsList = {
				path : vm.state=="bingMobile" ? "/member/account/binderMobile.htm" : "/member/account/binderEmail.htm",
				params : {
					email : {
						token : interfaceList.getCache("token"),
						email : vm.address,
						emailCode : vm.codeSystem
					},
					mobile:{
						token : interfaceList.getCache("token"),
						mobile : vm.address,
						mobileCode : vm.codeSystem
					}
				}
			}
			interfaceList.getAjax(paramsList.path,vm.state=="bingMobile"?paramsList.params.mobile:paramsList.params.email,"POST",function(msg){
				//跳转到信息提示页面
				interfaceList.openWebview("/pages/owner/userInfomation/my_editpromot.html","my_editpromot.html",{
					extras : {
						params : {
							type : vm.state,
							webviewId : "my_bindEmail.html"
						}
					}
				},false);
				//修改我的信息页面显示
				$.fire(plus.webview.getWebviewById("my_userInfo.html"),"editUserInfoCallback",{
					type : vm.state,
					data : vm.address
				});
			});
		}
	},true);
	
	$.plusReady(function(){
		var paramsList = interfaceList.getwebviewExtra();
		if(paramsList["type"]){
			vm.state = paramsList["type"] , vm.original = "userCenter";
		}
	});
	
	window.onload=function(){
		//切换手机邮箱
		$(".searTab").off("tap",".mui-control-item").on("tap",".mui-control-item",function(e){
			vm.state=this.getAttribute("id");
			document.getElementsByClassName("valiteFinalMsg")[0].innerText="";
		});
		
		//切换图形验证码
		document.getElementById("changeCodeImg").addEventListener("tap",function(e){
			e.stopPropagation();
			e.preventDefault();
			getCodeImg();
		},false);
		
		//获取验证码
		$(".mui-content").off("tap",".getVerificationCode").on("tap",".getVerificationCode",function(e){
			e.stopPropagation();
			e.preventDefault();
			var _this = this;
			if(vm.address==""){
				document.getElementsByClassName("valiteFinalMsg")[0].innerText=vm.state=="bingMobile" ? "请填写手机号码！" : "请填写邮箱地址！";
				return;
			};
			if(vm.imgCodeSystem=="" || vm.imgCodeKey==""){
				document.getElementsByClassName("valiteFinalMsg")[0].innerText="请填写图形验证码";
				return;
			};
			var path = vm.original=="login" ? "/forgot/sendCodeToForget.htm" : "/member/account/sendCodeToBinder.htm";
			interfaceList.getAjax(path,{
				key : vm.address,
				verificationCodeKey : vm.imgCodeSystem,
				code : vm.imgCodeKey
			},"POST",function(msg){
				vm.codeSystem=msg["data"];
				var num = 60;
				_this.classList.remove("getVerificationCode");
				var intervals = setInterval(function(){
					num--;
					_this.querySelector("a").innerText="重新发送"+num;
					if(num==0){
						clearInterval(intervals);
						_this.querySelector("a").innerText="获取验证码";
						_this.classList.add("getVerificationCode");
					}
				},1000);
			});
		});
	};
	function getCodeImg(){
		interfaceList.getAjax("/generateVerificationCode.htm",{},"POST",function(msg){
			vm.imgCodeSystem = msg["key"],vm.imgCode = msg["value"];
		});
	};
})(mui);
