(function($){
	var vm = interfaceList.createVm("editEmailPhoneCtrl",{
		state : "",
		address : "",
		code : "",
		codeSystem : ""
	});
	
	$.plusReady(function(){
		var paramList = interfaceList.getwebviewExtra();
		vm.state = paramList["type"];
		vm.address = paramList["type"]=='editEmail' ? paramList["data"].email : paramList["data"].mobile;
	});
	
	window.onload=function(){
		//发送验证码
		$(".my_userLists").off("tap",".getVerificationCode").on("tap",".getVerificationCode",function(e){
			e.stopPropagation();
			e.preventDefault();
			var _this = this;
			if(vm.address==""){
				document.getElementsByClassName("valiteFinalMsg")[0].innerText=vm.state=="editEmail" ? "邮箱为空":"手机为空";
				return;
			};
			interfaceList.getAjax("/member/account/sendCodeToModify1.htm",{
				key : vm.address
			},"POST",function(msg){
				vm.codeSystem = msg["data"];
				var num = 60;
				_this.classList.remove("getVerificationCode");
				var intervals = setInterval(function(){
					num--;
					_this.querySelector("a").innerText="重新发送"+num;
					if(num==0){
						clearInterval(intervals);
						_this.querySelector("a").innerText="获取验证码";
						_this.classList.add("getVerificationCode");
					}
				},1000);
			});
		});
		
		//提交第一步骤
		document.getElementById("editNext").addEventListener("tap",function(e){
			e.stopPropagation();
			e.preventDefault();
			if(vm.code==""){
				document.getElementsByClassName("valiteFinalMsg")[0].innerText="请输入验证码!";
				return;
			};
			if(vm.code!=vm.codeSystem){
				document.getElementsByClassName("valiteFinalMsg")[0].innerText="验证码错误!";
				return;
			};
			var paramter = {
				path : vm.state=='editEmail' ? "/member/account/updateEmailFirstStep.htm" : "/member/account/updateMobileFirstStep.htm",
				params : {
					email : {
						token : interfaceList.getCache("token"),
						emailCode : vm.code
					},
					mobile : {
						token : interfaceList.getCache("token"),
						mobileCode : vm.code
					}
				}
			}
			interfaceList.getAjax(paramter["path"],vm.state=="editEmail" ? paramter["params"].email : paramter["params"].mobile,"POST",function(msg){
				var data = msg["data"];
				//跳转到下一步页面
				interfaceList.openWebview("/pages/owner/userInfomation/my_editEmailNext.html","my_editEmailNext.html",{
					extras : {
						params : {
							type :vm.state,
							data : data
						}
					}
				});
			});
		},false);
	}
})(mui);
