(function($){
	var editNextVm = interfaceList.createVm("editPasswordNextCtrl",{
		state : "",
		firstCode : "",
		address : "",
		imgCode : "",
		imgCodeKey : "",
		imgCodeSystem : "",
		code : "",
		codeSystem : ""
	});
	
	getCodeImg();
	//绑定邮箱手机表单验证
	interfaceList.validate(editNextVm,function(target){
		if(editNextVm.code==""){
			document.getElementsByClassName("valiteFinalMsg")[0].innerText="请输入验证码!";
			return;
		};
		if(editNextVm.code!=editNextVm.codeSystem){
			document.getElementsByClassName("valiteFinalMsg")[0].innerText="验证码错误!";
			return;
		};
		var paramsList = {
			path : editNextVm.state=="editEmail" ? "/member/account/updateEmailSecondStep.htm" : "/member/account/updateMobileSecondStep.htm",
			params : {
				phone : {
					token : interfaceList.getCache("token"),
					newMobile : editNextVm.address,
					mobileCode : editNextVm.code,
					firstCode : editNextVm.firstCode
				},
				email : {
					token : interfaceList.getCache("token"),
					newEmail : editNextVm.address,
					emailCode : editNextVm.code,
					firstCode : editNextVm.firstCode
				}
			}
		}
		interfaceList.getAjax(paramsList.path,editNextVm.state=="editEmail"?paramsList.params.email:paramsList.params.phone,"POST",function(msg){
			//跳转到信息提示页面
			interfaceList.openWebview("/pages/owner/userInfomation/my_editpromot.html","my_editpromot.html",{
				extras : {
					params : {
						type : editNextVm.state,
						webviewId : ["my_editEmail.html","my_editEmailNext.html"]
					}
				}
			},false);
			//修改我的信息页面显示
			$.fire(plus.webview.getWebviewById("my_userInfo.html"),"editUserInfoCallback",{
				type : editNextVm.state,
				data : editNextVm.address
			});
		});
	},true);
	
	$.plusReady(function(){
		var paramsList = interfaceList.getwebviewExtra();
		editNextVm.state =paramsList["type"] ,editNextVm.firstCode = paramsList["data"];
	});
	
	window.onload=function(){
		//切换图形验证码
		document.getElementById("changeCodeImg").addEventListener("tap",function(e){
			e.stopPropagation();
			e.preventDefault();
			getCodeImg();
		},false);
		
		//获取验证码
		$(".mui-content").off("tap",".getVerificationCode").on("tap",".getVerificationCode",function(e){
			e.stopPropagation();
			e.preventDefault();
			var _this = this;
			if(editNextVm.address==""){
				document.getElementsByClassName("valiteFinalMsg")[0].innerText=editNextVm.state=="editEmail" ? "请填写邮箱地址！" : "请填写新手机号码！";
				return;
			};
			if(editNextVm.imgCodeSystem=="" || editNextVm.imgCodeKey==""){
				document.getElementsByClassName("valiteFinalMsg")[0].innerText="请填写图形验证码";
				return;
			};
			
			interfaceList.getAjax("/member/account/sendCodeToModify2.htm",{
				key : editNextVm.address,
				verificationCodeKey : editNextVm.imgCodeSystem,
				code : editNextVm.imgCodeKey
			},"POST",function(msg){
				editNextVm.codeSystem=msg["data"];
				var num = 60;
				_this.classList.remove("getVerificationCode");
				var intervals = setInterval(function(){
					num--;
					_this.querySelector("a").innerText="重新发送"+num;
					if(num==0){
						clearInterval(intervals);
						_this.querySelector("a").innerText="获取验证码";
						_this.classList.add("getVerificationCode");
					}
				},1000);
			});
		});
	};
	
	function getCodeImg(){
		interfaceList.getAjax("/generateVerificationCode.htm",{},"POST",function(msg){
			editNextVm.imgCodeSystem = msg["key"],editNextVm.imgCode = msg["value"];
		});
	};
})(mui);