(function($){
	var majorVm = interfaceList.createVm("majorChildCtrl",{
		categoryChildList : [] ,
		isOther : false ,
		otherText : "",
		categoryId : ""
	});
	
	$.plusReady(function(){
		var paramsList = interfaceList.getwebviewExtra(),
			categoryId = paramsList["id"];
		majorVm.isOther = paramsList["isOther"] || false;
		majorVm.categoryId = categoryId;
		interfaceList.getAjax("/tag/listByCategoryId.htm",{
			token : interfaceList.getCache("token"),
			categoryId : categoryId
		},"POST",function(msg){
			var data = msg["data"];
			majorVm.categoryChildList = data;
		});
	});
	
	window.onload=function(){
		//全选
		document.getElementById("checkAll").addEventListener("tap",function(e){
			var checked = !this.querySelector("input").checked;
			$('[name="checkMajor"]').each(function(){
				this.checked = checked;
			});
		},false);
		
		$(".majorArea").off("tap",'[name="checkMajor"]').on("tap",'[name="checkMajor"]',function(e){
			var checkedLength = $('[name="checkMajor"]:checked').length+(this.checked==false ? 1 : -1);
			if(checkedLength==majorVm.categoryChildList.length){
				document.getElementById("checkAll").querySelector("input").checked="checked";
			}else{
				document.getElementById("checkAll").querySelector("input").checked=false;
			}
		});
		
		$(".mui-content").off("tap","#addOtherCatrgory").on("tap","#addOtherCatrgory",function(e){
			e.stopPropagation();
			e.preventDefault();
			if(majorVm.otherText==""){
				document.getElementsByClassName("valiteFinalMsg")[0].innerText="请输入要添加的领域名称!";
				return;
			}
			interfaceList.getAjax("/tag/add.htm",{
				token: interfaceList.getCache("token"),
				name : majorVm.otherText,
				categoryId : majorVm.categoryId
			},"POST",function(msg){
				var data = JSON.parse(msg["data"]);
				majorVm.otherText="";
				document.getElementById("majorTextArea").blur();
				majorVm.categoryChildList.push({
					id : data["id"],
					name : data["name"]
				});
			});
		});
		
		document.getElementById("confirmAddChild").addEventListener("tap",function(e){
			e.stopPropagation();
			e.preventDefault();
			var data = [];
			$('[name="checkMajor"]').each(function(){
				var isCheck = this.checked,
					id = this.getAttribute("id");
				data.push({
					tagId : id,
					isCheck : isCheck=="checked" || isCheck==true ? 0 :1 
				});
			});
			interfaceList.getAjax("/tag/business/update.htm",{
				token : interfaceList.getCache("token"),
				tagBusinessStr : JSON.stringify(data)
			},"POST",function(msg){
				plus.webview.currentWebview().close();
				$.fire(plus.webview.getWebviewById("editMajojr.html"),"checkMajorCallback");
			});
		},false);
	};
})(mui);
