(function($){
	var professorDetailVM = interfaceList.createVm("professorDetailVM",{
		professorDetail : {}
	});
	
	//初始化案例信息VM
	var professorDe_caseListVM = interfaceList.createAjaxVM("professorDe_caseListVM",{
		//	/case/listByBusinessId.htm
		path : "/case/listByBusinessId.htm",
		configProfessorCase : {
			caseList : [],
			loadingState : 0
		},
		loadParams : {
			businessID : 0
		},
		loadCallback : function(data){
			professorDe_caseListVM.configProfessorCase.caseList.pushArray(data);
		},
		delayLoaded : true
	});
	
	//初始化服务信息VM
	var professorDe_serverListVM = interfaceList.createAjaxVM("professorDe_serverListVM",{
		path : "/expert/service/listByMemberId.htm",
		configProfessorServer : {
			serverList : [],
			loadingState : 0
		},
		loadParams : {
			id : 1
		},
		loadCallback : function(data){
			professorDe_serverListVM.configProfessorServer.serverList.pushArray(data);
		},
		delayLoaded : true
	});
	
	
	$.plusReady(function(){
		var paramsList = interfaceList.getwebviewExtra(),
			professorId = paramsList ? paramsList["professorId"] : "";
		interfaceList.getAjax("/member/expert/detail.htm",{
			token : interfaceList.getCache("token"),
			id : professorId
		},"POST",function(msg){
			professorDetailVM.professorDetail = msg["data"];
		});
		
		professorDe_caseListVM.loadParams.businessID = professorId;
		professorDe_caseListVM.delayLoaded = false;
		
		professorDe_serverListVM.loadParams.id = professorId;
		professorDe_serverListVM.delayLoaded = false;
		
		//收藏专家功能
		var favorateProfessor = document.getElementById("favorateProfessor");
		if(favorateProfessor && favorateProfessor!=null){
			favorateProfessor.addEventListener("tap",function(e){
				e.stopPropagation();
				e.preventDefault();
				
				if(interfaceList.isLogin()==false){
					interfaceList.openWebview("/pages/login/login.html","login.html",{},false,true);
					return;
				};
				
				interfaceList.getAjax("/member/favorite/collect.htm",{
					token : interfaceList.getCache("token"),
					businessId : professorId,
					type : "MEMBER"
				},"POST",function(msg){
					interfaceList.toast("收藏成功，您可通过我的收藏查看!");
				})
			},false);
		}
	});
})(mui);
