(function($){
	var registerVm = interfaceList.createVm("registerCtrl",{
		registerInfo : {
			mobile : "",
			verificationCode : "",
			systemCode : "",
			password: "",
			confirmPassword : ""
		}
	});
	
	//实名认证表单验证
	interfaceList.validate(registerVm,function(target){
		if(registerVm.registerInfo.systemCode!=registerVm.registerInfo.verificationCode){
			document.getElementsByClassName("valiteFinalMsg")[0].innerText="验证码错误！";
			return;
		};
		plus.nativeUI.showWaiting("正在提交注册信息,请稍后...");
		interfaceList.getAjax("/register.htm",registerVm.registerInfo,"POST",function(msg){
			plus.nativeUI.closeWaiting();
			//跳转到信息提示页面
			interfaceList.openWebview("/pages/owner/userInfomation/my_editpromot.html","my_editpromot.html",{
				extras : {
					params : {
						type : "registerCallback",
						webviewId : ["register.html"],
						account : registerVm.registerInfo.mobile
					}
				}
			},false);
		},function(){
			plus.nativeUI.closeWaiting();
		});
	},true);
	
	$.plusReady(function(){
		//获取验证码
		$(".mui-content").off("tap",".getVerificationCode").on("tap",".getVerificationCode",function(e){
			e.stopPropagation();
			e.preventDefault();
			var _this = this;
			if(registerVm.registerInfo.mobile==""){
				document.getElementsByClassName("valiteFinalMsg")[0].innerText="请输入手机号码！";
				return;
			};
			if(!/^1[3|4|5|7|8]\d{9}$/.test(registerVm.registerInfo.mobile)){
				document.getElementsByClassName("valiteFinalMsg")[0].innerText="请输入正确的手机号码！";
				return;
			}
			interfaceList.getAjax("/sendCodeToRegister.htm",{
				mobile : registerVm.registerInfo.mobile
			},"POST",function(msg){
				registerVm.registerInfo.systemCode = msg["data"];
				var num = 60;
				_this.classList.remove("getVerificationCode");
				var intervals = setInterval(function(){
					num--;
					_this.querySelector("a").innerText="重新发送"+num;
					if(num==0){
						clearInterval(intervals);
						_this.querySelector("a").innerText="获取验证码";
						_this.classList.add("getVerificationCode");
					}
				},1000);
			})
		});
	});
})(mui);
