(function($){
	//初始化服务信息VM
	var serverListVM = interfaceList.createAjaxVM("serverListVM",{
		path : "/product/list.htm",
		configservers : {
			serverList : [],
			loadingState : 0
		},
		loadParams : {
		},
		loadCallback : function(data){
			serverListVM.configservers.serverList.pushArray(data);
		},
		delayLoaded : true,
		wifiState : true,
		isLogin : false
	});
	
	window.onload=function(){
		$(".serverUnlogin").off("tap",".toServerDetail").on("tap",".toServerDetail",function(e){
			e.stopPropagation();
			e.preventDefault();
			var id = this.getAttribute("id");
			interfaceList.openWebview("/pages/server/serverDetail.html","serverDetail.html",{
				extras : {
					params : {
						serverId : id
					}
				}
			},false);
		});
	}
	
	$.plusReady(function(){
		serverListVM.isLogin = interfaceList.isLogin();
		//加载数据
		var state = interfaceList.drageWifi();
		if(state==false){
			serverListVM.wifiState = false;
		}else{
			serverListVM.delayLoaded = false;
			/*$(".wifi_none").off("tap",".btnLoadAgin").on("tap",".btnLoadAgin",function(e){
				e.stopPropagation();
				e.preventDefault();
				if(interfaceList.drageWifi()==false){
					interfaceList.toast("亲，网断了哦，请检查网络设置!");
					return;
				};
				serverListVM.delayLoaded = typeof serverListVM.delayLoaded == "boolean" ? 1 : serverListVM.delayLoaded+=1;
			});*/
		}
		
		// 联系客服
		if(document.querySelector("#concatKeFu")){
			document.querySelector("#concatKeFu").addEventListener("click",function(){
				interfaceList.concatSaleKF();
			},false);
		};
		
		window.addEventListener("serverMessageCallback",function(){
			if(interfaceList.isLogin()){
				interfaceList.dragMessage();
			}else{
				var currentTarget = $(".biaozhiMessageList .unreadingMessage");
				currentTarget[0].style.display="none";				
			}
		},false);
		
		window.addEventListener("netWorkChanged",function(e){
			serverListVM.wifiState = interfaceList.drageWifi();
		},false);
		
		window.addEventListener("updateMessageList",function(e){
			var state = e.detail.state;
			var currentTarget = $(".biaozhiMessageList .unreadingMessage");
			if(state=="true"){
				currentTarget[0].style.display="block";				
			}else{
				currentTarget[0].style.display="none";
			}
		},false);
		
		window.addEventListener("bindingIsLogin",function(){
			serverListVM.isLogin = interfaceList.isLogin();
		},false);
	});
})(mui);
