(function($){
	//配置mui选项
	mui.init({
		gestureConfig : {
			longtap: true,
			swipe: false
		}
	});
	
	//渲染我的云盘的数据
	var cloud_vm = interfaceList.createAjaxVM("serverCloudCtrl",{
		path : "/cloud/directory/list.htm",
		config_dataList : {
			cloudList : [],
			loadingState : 0
		},
		loadParams : {
			token : ""
		},
		loadCallback : function(data){
			cloud_vm.config_dataList.cloudList.pushArray(data);
			
		},
		allCheck : false,
		deleteState : false,
		cloudCheckList : [],
		delayLoaded : true
	}),vm = interfaceList.createVm("serverListCtrl",{
		serverList : {},
		wifiState : true
	});
	
	window.onload=function(){
		//创建文件夹
		document.getElementById("createClouddirect").addEventListener("tap",function(e){
			e.stopPropagation();
			e.preventDefault();
			interfaceList.openWebview("create_folder.html","create_folder",{
				extras : {
					params : {
						state : "create"
					}
				}
			},true);
		},false);
		//编辑文件夹
		$(".serverLines").off("tap",'[targetEvent="editDirect"]').on("tap",'[targetEvent="editDirect"]',function(e){
			e.stopPropagation();
			e.preventDefault();
			var id = this.getAttribute("id"),
				index = this.getAttribute("index"),
				name = this.getAttribute("name");
			interfaceList.openWebview("create_folder.html","create_folder",{
				extras : {
					params : {
						state : "edit",
						index : index,
						id : id,
						name : name
					}
				}
			},true);
			cloud_vm.allCheck = false;
		});
		//删除文件夹
		$("#myCloudDisk").off("tap",'.deleteDirect').on("tap",'.deleteDirect',function(e){
			e.stopPropagation();
			e.preventDefault();
			var idList = "",
				index = "",
				tipContent = PUSLIC_MESSAGE.deleteDirect,
				state = this.getAttribute("type"),
				parentNodes = this.parentNode.parentNode;
			if(state=="delete"){
				index = this.getAttribute("index");
				tipContent +=this.getAttribute("name");
				idList = this.getAttribute("id");
			}else{
				if(cloud_vm.deleteState==false) return;
				$('[name="serverDirects"]:checked').each(function(i){
					idList+= i==0 ? this.getAttribute("id") : (","+this.getAttribute("id"));
				});
				tipContent = PUSLIC_MESSAGE.deleteBatchDirect;
			};
			interfaceList.confirm(tipContent,PUSLIC_MESSAGE.deleteTitle,["删除","取消"],function(e){
				//调用删除文件夹的接口
				interfaceList.getAjax("/cloud/directory/del.htm",{
					id : idList,
					token : interfaceList.getCache("token")
				},"POST",function(msg){
					if(state=="delete"){
						cloud_vm.config_dataList.cloudList.splice(index,1);
					}else{
						$('[name="serverDirects"]:checked').each(function(i){
							cloud_vm.config_dataList.cloudList.splice(this.getAttribute("index"),1);
							
						});
					};
					cloud_vm.allCheck = false;
				});
			},function(){
				$.swipeoutClose(parentNodes);
			});
		});
		//下载文件夹
		$("#myCloudDisk").off("tap",'.downloadDirect').on("tap",'.downloadDirect',function(e){
			e.stopPropagation();
			e.preventDefault();
			$.swipeoutClose(this.parentNode.parentNode);
			var downloadList = [],
				state = this.getAttribute("type"),
				_this =this;
			if(state=="download"){
				downloadList.push({
					id : _this.getAttribute("id"),
					name : _this.getAttribute("name"),
					state : "waiting",
					type : "folder"
				})
			}else{
				if(cloud_vm.deleteState==false) return;
				$('#myCloudDisk [name="serverDirects"]:checked').each(function(i){
					var target = this;
					if(this.getAttribute("subFileCount")!=0){
						downloadList.push({
							id : target.getAttribute("id"),
							name : target.getAttribute("dataTarget"),
							state : "waiting",
							type : "folder"
						});
					}
				});
			};
			interfaceList.toast("请到离线页面查看下载进度(没有字内容文件夹默认不下载)..");
			$.fire(plus.webview.getWebviewById("offline_resource.html"),"startDownload",{
				downloadList : downloadList
			});
			cloud_vm.allCheck = false;
		});
		
		//全选
		document.getElementById("directcheckAll").addEventListener("tap",function(e){
			e.stopPropagation();
			e.preventDefault();
			var target = this.querySelector("input");
			target.checked = !target.checked;
			var currentState = target.checked;
			$('[name="serverDirects"]').each(function(){
				this.checked = currentState;
			});
			currentState==true ? cloud_vm.deleteState=true : cloud_vm.deleteState=false;
			return false;
		},false);
		//子项选中
		$('.serverLines').off("tap",'[name="serverDirects"]').on("tap",'[name="serverDirects"]',function(e){
			var checkedList = $('[name="serverDirects"]:checked').length,
				checkedLength = this.checked==true ? checkedList-1 : checkedList+1;
			document.getElementById("directcheckAll").querySelector("input").checked = (checkedLength==cloud_vm.config_dataList.cloudList.length) ? true : false;
			checkedLength>0 ? cloud_vm.deleteState=true : cloud_vm.deleteState=false;
		},false);
		
		$(".serverLines").off("longtap",".cloudDirectLiEvent").on("longtap",".cloudDirectLiEvent",function(e){
			e.stopPropagation();
			e.preventDefault();
			$('[name="serverDirects"]').each(function(){
				this.checked=false;
			}),document.getElementById("directcheckAll").querySelector("input").checked=false;
			cloud_vm.allCheck = true;
		});
		
		$(".serverLines").off("tap",".directToChild").on("tap",".directToChild",function(e){
			e.stopPropagation();
			e.preventDefault();
			if(cloud_vm.allCheck==true) return;
			var directId = this.getAttribute("id"),
				directName = this.getAttribute("directName");
			interfaceList.openWebview("/pages/server/folder_content.html","folder_content.html",{
				extras : {
					params : {
						directId : directId,
						directName : directName
					}
				}
			},true);
		});
		
		$(".server_cloud_btns").off("tap","#cloudDiskCancel").on("tap","#cloudDiskCancel",function(e){
			e.stopPropagation();
			e.preventDefault();
			cloud_vm.allCheck = false;
		});
		
		document.getElementById("startServer").addEventListener("tap",function(e){
			e.stopPropagation();
			e.preventDefault();
			interfaceList.concatTechnologyKF();
		},false);
		
		$(".serverLines").off("tap",".toServerDetail").on("tap",".toServerDetail",function(e){
			e.stopPropagation();
			e.preventDefault();
			var id = this.getAttribute("id");
			interfaceList.openWebview("/pages/server/serverDetail.html","serverDetail.html",{
				extras : {
					params : {
						serverId : id
					}
				}
			},false);
		});
	};
	
	$.plusReady(function(){
		//添加事件监听
		window.addEventListener("folderCloseEvent",function(e){
			var state = e.detail.state;
			if(state=="create"){
				cloud_vm.config_dataList.cloudList.push({
					id : e.detail.id,
					name : e.detail.name
				});
			}else{
				cloud_vm.config_dataList.cloudList.splice(e.detail.index,1);
				cloud_vm.config_dataList.cloudList.splice(e.detail.index,0,{
					id : e.detail.id,
					name : e.detail.name
				});
			}
		},false);
		
		var wifiState = interfaceList.drageWifi();
		if(wifiState==true){
			//如果有网络则从服务器加载数据
			cloud_vm.loadParams.token = interfaceList.getCache("token");
			cloud_vm.delayLoaded = false;
			interfaceList.getAjax("/product/listByMember.htm",{
				token : interfaceList.getCache("token")
			},"POST",function(msg){
				var data = msg["data"] || {};
				vm.serverList = data;
			})	
		}else{
			//显示无网络页面
			vm.wifiState=false;
			/*$(".wifi_none").off("tap",".btnLoadAgin").on("tap",".btnLoadAgin",function(){
				var wifi = interfaceList.drageWifi();
				if(wifi==false){
					interfaceList.toast("亲，网断了哦，请检查网络设置!");
					return;
				};
				cloud_vm.delayLoaded = typeof cloud_vm.delayLoaded == "boolean" ? 1 : cloud_vm.delayLoaded+=1;
				interfaceList.getAjax("/product/listByMember.htm",{
					token : interfaceList.getCache("token")
				},"POST",function(msg){
					var data = msg["data"] || {};
					vm.serverList = data;
					vm.wifiState=true;
				})
			});*/
		}
	});
	
	window.addEventListener("netWorkChanged",function(e){
		vm.wifiState = interfaceList.drageWifi();
	},false);
})(mui);
