(function($){
	//配置mui选项
	mui.init({
		gestureConfig : {
			longtap: true,
			swipe: false
		}
	});
	
	//渲染我的文件的数据
	var floder_VM = interfaceList.createAjaxVM("serverFolderCtrl",{
		path : "/cloud/file/list.htm",
		config_serverfolder : {
			folderList : [],
			loadingState : 0,
			directName : ""
		},
		loadParams : {
			dirId : "",
			token : "",
			"pageResult.pageSize" : 50
		},
		loadCallback : function(data){
			floder_VM.config_serverfolder.folderList.pushArray(data);
		},
		delayLoaded : true,
		fileDeleteState : false,
		fileLongTap : false,
		archived : false
	});
	mui.plusReady(function(){
		var params = interfaceList.getwebviewExtra(),
			dirId = params["directId"] || "",
			directName = params["directName"] || "";
		floder_VM.loadParams.dirId = dirId,floder_VM.loadParams.token=interfaceList.getCache("token");
		floder_VM.delayLoaded=false;
		floder_VM.config_serverfolder.directName = directName;
	});
	
	window.onload=function(){
		//绑定长按事件
		$(".folderList").off("longtap",".fileLis").on("longtap",".fileLis",function(e){
			e.stopPropagation();
			e.preventDefault();
			$('[name="serverDirects"]').each(function(){
				this.checked =false;
			}),document.getElementById("directcheckAll").querySelector("input").checked=false;
			if($('[name="serverDirects"]:checked').length<=0){
				floder_VM.fileDeleteState=false;
			};
			if(floder_VM.archived==true) return;
			floder_VM.fileLongTap = true;
		});
		
		$(".server_cloud_btns").off("tap","#fileUnCheckAll").on("tap","#fileUnCheckAll",function(e){
			e.stopPropagation();
			e.preventDefault();
			floder_VM.fileLongTap = false;
		});
		
		//全选
		document.getElementById("directcheckAll").addEventListener("tap",function(e){
			e.stopPropagation();
			e.preventDefault();
			var target = this.querySelector("input");
			target.checked = !target.checked;
			var currentState = target.checked;
			$('[name="serverDirects"]').each(function(){
				this.checked = currentState;
			});
			currentState==true ? floder_VM.fileDeleteState=true : floder_VM.fileDeleteState=false;
			return false;
		},false);
		//子项选中
		$('.folderList').off("tap",'[name="serverDirects"]').on("tap",'[name="serverDirects"]',function(e){
			var checkedList = $('[name="serverDirects"]:checked').length,
				checkedLength = this.checked==true ? checkedList-1 : checkedList+1;
			document.getElementById("directcheckAll").querySelector("input").checked = (checkedLength==floder_VM.config_serverfolder.folderList.length) ? true : false;
			checkedLength>0 ? floder_VM.fileDeleteState=true : floder_VM.fileDeleteState=false;
		},false);
		
		//删除文件
		$(".mui-content").off("tap",'.deleteDirect').on("tap",'.deleteDirect',function(e){
			e.stopPropagation();
			e.preventDefault();
			var idList = "",
				index = "",
				tipContent = PUSLIC_MESSAGE.deleteDirect,
				state = this.getAttribute("type"),
				parentNodes = this.parentNode.parentNode;
			if(state=="delete"){
				index = this.getAttribute("index");
				tipContent +=this.getAttribute("name");
				idList = this.getAttribute("id");
			}else{
				if(floder_VM.fileDeleteState==false) return;
				$('[name="serverDirects"]:checked').each(function(i){
					idList+= i==0 ? this.getAttribute("id") : (","+this.getAttribute("id"));
				});
				tipContent = PUSLIC_MESSAGE.deleteBatchDirect;
			};
			interfaceList.confirm(tipContent,PUSLIC_MESSAGE.deleteTitle,["删除","取消"],function(e){
				//调用删除文件夹的接口
				interfaceList.getAjax("/cloud/file/del.htm",{
					id : idList,
					token : interfaceList.getCache("token")
				},"POST",function(msg){
					floder_VM.fileLongTap=false;
					if(state=="delete"){
						floder_VM.config_serverfolder.folderList.splice(index,1);
					}else{
						$('[name="serverDirects"]:checked').each(function(i){
							floder_VM.config_serverfolder.folderList.splice(this.getAttribute("index")+1,1);
						});
					}
				});
			},function(){
				$.swipeoutClose(parentNodes);
			});
		});
		
		//绑定转存事件
		$(".mui-bar").off("tap",".archivedEvent").on("tap",".archivedEvent",function(e){
			e.stopPropagation();
			e.preventDefault();
			if(floder_VM.fileLongTap==true) return;
			floder_VM.archived= !floder_VM.archived;
		});
		
		$(".folderList").off("tap",".archivedTarget").on("tap",".archivedTarget",function(e){
			e.stopPropagation();
			e.preventDefault();
			var id = this.getAttribute("id"),
				webviewList = interfaceList.getCache("archivedWebviewList") || "";
			interfaceList.setCache("archivedWebviewList",(webviewList=="" ? "archived.html" : ",archived.html"));
			interfaceList.openWebview("/pages/server/archived.html","archived.html",{
				extras : {
					params : {
						id : id
					}
				}
			},true);
			floder_VM.archived= !floder_VM.archived;
		});
		
		//编辑文件
		$(".folderList").off('tap','[targetEvent="editDirect"]').on("tap",'[targetEvent="editDirect"]',function(e){
			e.stopPropagation();
			e.preventDefault();
			var id = this.getAttribute("id"),
				index = this.getAttribute("index"),
				name = this.getAttribute("name");
			interfaceList.openWebview("create_folder.html","create_folder",{
				extras : {
					params : {
						state : "editFile",
						index : index,
						id : id,
						name : name
					}
				}
			},true);
		});
		//上传文件
		$("[taretEvent='uploadFile']").off("tap","a").on("tap","a",function(e){
			e.stopPropagation();
			e.preventDefault();
			var target = document.getElementById("progress");
			uploadPlugin.getPictureFromSystem(true,10,function(progrss){
				console.log(progrss);
				if(parseInt(progrss)==100){
					target.innerText="正在提交文件请求，请稍候...";
				}else{
					target.style.display="block";
					target.innerText = progrss+"%";
				}
			},function(pathList,uploader){
				target.innerText="正在提交文件请求，请稍候...";
				var responseText = uploader.responseText;
				if(!responseText){
					interfaceList.toast("文件上传失败!");
					target.style.display="none";
					target.innerText = "";
					return;
				};
				var returnList = JSON.parse(responseText),
					data = returnList["data"];
				interfaceList.getAjax("/cloud/file/add.htm",{
					attachement : JSON.stringify(data),
					dirId : floder_VM.loadParams.dirId,
					token : interfaceList.getCache("token")
				},"POST",function(message){
					if(message["data"] && message["data"].length>0){
						for(var i=0;i<message["data"].length;i++){
							floder_VM.config_serverfolder.folderList.splice(0,0,{
								id : message["data"][i].id,
								fileName : message["data"][i].fileName,
								extend : message["data"][i].extend
							});
						}
					}
					target.style.display="none";
				},function(){
					target.style.display="none";
					target.innerText = "";
				});
			},true);
		});
		//下载文件
		$(".mui-content").off("tap",'[targetEvent="downloadDirect"]').on("tap",'[targetEvent="downloadDirect"]',function(e){
			e.stopPropagation();
			e.preventDefault();
			$.swipeoutClose(this.parentNode.parentNode);
			var type = this.getAttribute("type"),
				downloadList = [],
				_this = this;
			if(type && type=="download"){
				downloadList.push({
					id : _this.getAttribute("id"),
					name : _this.getAttribute("name"),
					state : "waiting",
					type : "file",
					genre : _this.getAttribute("cloudType")
				});
			}else{
				if(floder_VM.fileDeleteState==false) return;
				$('[name="serverDirects"]:checked').each(function(i){
					var target = this;
					downloadList.push({
						name : target.getAttribute("dataTarget"),
						id : target.getAttribute("id"),
						state : "waiting",
						type : "file",
						genre : target.getAttribute("cloudType")
					});
				});
			}
			interfaceList.toast("请到离线页面查看下载进度..");
			floder_VM.fileLongTap=false;
			$.fire(plus.webview.getWebviewById("offline_resource.html"),"startDownload",{
				downloadList : downloadList
			});
		});
		
		//窗体关闭回调
		window.addEventListener("folderCloseEvent",function(e){
			var index = e.detail.index,
				name = e.detail.name,
				extend = e.detail.extend;
			floder_VM.config_serverfolder.folderList.splice(index,1);
			floder_VM.config_serverfolder.folderList.splice(index,0,{
				id : e.detail.id,
				fileName : name
			});
		},false);
		
		window.addEventListener("archivedCallback",function(){
			window.location.reload();
		});
	};
})(mui);
