(function($){
	//初始化其他内容
	var vm = interfaceList.createVm("konwledgeCtrl",{
		key : ""
	});
	
	//默认初始化词条内容
	var entryVM = interfaceList.createAjaxVM("entryCtrl",{
		path : "/cms/lemma/list.htm",
		configEntry : {
			entryList : [],
			loadingState : 0,
			pageState : true
		},
		loadParams : {
			key : vm.key
		},
		loadCallback :function(data){
			entryVM.configEntry.entryList.pushArray(data);
			interfaceList.closePageLoading();
		},
		searchCallback : function(data){
			entryVM.configEntry.entryList = data;
			interfaceList.closePageLoading();
		},
		delayLoaded : true,
		searchResult : true,
		pageState : true
	});
	
	//默认初始化法律内容
	var lowerVM = interfaceList.createAjaxVM("lowerCtrl",{
		path : "/cms/legislation/list.htm",
		configLaw : {
			lowerList : [],
			loadingState : 0
		},
		loadParams : {
			key : 1
		},
		loadCallback : function(data){
			lowerVM.configLaw.lowerList.pushArray(data);
		},
		searchCallback : function(data){
			lowerVM.configLaw.lowerList = data;
		},
		delayLoaded : true,
		searchResult : true,
		pageState : true
	});
	
	$.plusReady(function(){
		triigerEvent("");
	});
	
	window.onload=function(){
		$("#lower").off("tap",".lawerRows").on("tap",".lawerRows",function(e){
			e.stopPropagation();
			e.preventDefault();
			var lowerId = this.getAttribute("lowerId"),
				index = this.getAttribute("index");
			interfaceList.openWebview("/pages/home/lawDetail.html","lawDetail.html",{
				extras : {
					params : {
						lawId : lowerId ,
						lawInstance : lowerVM.configLaw.lowerList[index]
					}
				}
			},false,false);
		});
		
		document.getElementById("searchBtn").addEventListener("tap",function(e){
			e.stopPropagation();
			e.preventDefault();
			var value = document.getElementById("searchKeys").value;
			triigerEvent(value);
		},false);
	};
	
	function triigerEvent(value){
		if(interfaceList.drageWifi()==false){
			entryVM.pageState=false;
			lowerVM.pageState=false;
			plus.nativeUI.showWaiting("正在加载内容，请稍候...");
			var memberId = interfaceList.getCache("memberId"),
				userCacheData = interfaceList.getCache(memberId) || {};
				
			//加载离线词条
			if(!entryVM.configEntry.cacheEntryList){
				var downloadEntryList = userCacheData["entryList"] ? JSON.parse(userCacheData["entryList"]) : userCacheData["entryList"];
				entryVM.configEntry.cacheEntryList = downloadEntryList
			};
			var data = entryVM.configEntry.cacheEntryList || [],
				newData = [];
			for(var i=0;i<data.length;i++){
				if((data[i]["name"] ? data[i]["name"].indexOf(value)>=0 : false) || (data[i]["appContent"] ? data[i]["appContent"].indexOf(value)>=0 : false)){
					newData.push(data[i]);
				}
			};
			entryVM.configEntry.entryList = newData;
		
			//加载离线法律规范
			if(lowerVM.configLaw.lowerList.length==0){
				var downloadLawList = userCacheData["lawList"] ? JSON.parse(userCacheData["lawList"]) : userCacheData["lawList"];
				lowerVM.configLaw.lowerList = downloadLawList;
			};
			var lawData = lowerVM.configLaw.lowerList || [],
				lawNewData = [];
			for(var i=0;i<lawData.length;i++){
				if((lawData[i]["name"] ? lawData[i]["name"].indexOf(value)>=0 : false) || (lawData[i]["summary"] ? lawData[i]["summary"].indexOf(value)>=0 : false)){
					lawNewData.push(lawData[i]);
				}
			}
			lowerVM.configLaw.lowerList = lawNewData;
			plus.nativeUI.closeWaiting();
			interfaceList.closePageLoading();
		}else{
			entryVM.loadParams.key = value,entryVM.delayLoaded= typeof entryVM.delayLoaded == "boolean" ? 1 : entryVM.delayLoaded+1;
			lowerVM.loadParams.key= value,lowerVM.delayLoaded= typeof lowerVM.delayLoaded == "boolean" ? 1 : lowerVM.delayLoaded+1;
		}
	};
	
	window.addEventListener("updateMessageList",function(e){
		var state = e.detail.state;
		var currentTarget = $(".biaozhiMessageList .unreadingMessage");
		if(state=="true"){
			currentTarget[0].style.display="block";				
		}else{
			currentTarget[0].style.display="none";
		}
	},false);
	
})(mui);
